/* BackendsManager.c generated by valac 0.36.4, the Vala compiler
 * generated from BackendsManager.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013 Maya Developers (https://launchpad.net/maya)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <libedataserver/libedataserver.h>
#include <gio/gio.h>
#include <gmodule.h>


#define MAYA_TYPE_BACKENDS_MANAGER (maya_backends_manager_get_type ())
#define MAYA_BACKENDS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_BACKENDS_MANAGER, MayaBackendsManager))
#define MAYA_BACKENDS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_BACKENDS_MANAGER, MayaBackendsManagerClass))
#define MAYA_IS_BACKENDS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_BACKENDS_MANAGER))
#define MAYA_IS_BACKENDS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_BACKENDS_MANAGER))
#define MAYA_BACKENDS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_BACKENDS_MANAGER, MayaBackendsManagerClass))

typedef struct _MayaBackendsManager MayaBackendsManager;
typedef struct _MayaBackendsManagerClass MayaBackendsManagerClass;
typedef struct _MayaBackendsManagerPrivate MayaBackendsManagerPrivate;

#define MAYA_TYPE_BACKEND (maya_backend_get_type ())
#define MAYA_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_BACKEND, MayaBackend))
#define MAYA_IS_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_BACKEND))
#define MAYA_BACKEND_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), MAYA_TYPE_BACKEND, MayaBackendIface))

typedef struct _MayaBackend MayaBackend;
typedef struct _MayaBackendIface MayaBackendIface;

#define MAYA_TYPE_PLACEMENT_WIDGET (maya_placement_widget_get_type ())
#define MAYA_PLACEMENT_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidget))
#define MAYA_PLACEMENT_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidgetClass))
#define MAYA_IS_PLACEMENT_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_PLACEMENT_WIDGET))
#define MAYA_IS_PLACEMENT_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_PLACEMENT_WIDGET))
#define MAYA_PLACEMENT_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidgetClass))

typedef struct _MayaPlacementWidget MayaPlacementWidget;
typedef struct _MayaPlacementWidgetClass MayaPlacementWidgetClass;

#define MAYA_TYPE_LOCAL_BACKEND (maya_local_backend_get_type ())
#define MAYA_LOCAL_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackend))
#define MAYA_LOCAL_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackendClass))
#define MAYA_IS_LOCAL_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_LOCAL_BACKEND))
#define MAYA_IS_LOCAL_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_LOCAL_BACKEND))
#define MAYA_LOCAL_BACKEND_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackendClass))

typedef struct _MayaLocalBackend MayaLocalBackend;
typedef struct _MayaLocalBackendClass MayaLocalBackendClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_module_close0(var) ((var == NULL) ? NULL : (var = (g_module_close (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
enum  {
	MAYA_BACKENDS_MANAGER_BACKEND_ADDED_SIGNAL,
	MAYA_BACKENDS_MANAGER_BACKEND_REMOVED_SIGNAL,
	MAYA_BACKENDS_MANAGER_LAST_SIGNAL
};
static guint maya_backends_manager_signals[MAYA_BACKENDS_MANAGER_LAST_SIGNAL] = {0};

struct _MayaBackendIface {
	GTypeInterface parent_iface;
	gchar* (*get_name) (MayaBackend* self);
	gchar* (*get_uid) (MayaBackend* self);
	GeeCollection* (*get_new_calendar_widget) (MayaBackend* self, ESource* to_edit);
	void (*add_new_calendar) (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets);
	void (*modify_calendar) (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source);
};

struct _MayaBackendsManager {
	GObject parent_instance;
	MayaBackendsManagerPrivate * priv;
	GeeArrayList* backends;
};

struct _MayaBackendsManagerClass {
	GObjectClass parent_class;
};

struct _MayaBackendsManagerPrivate {
	MayaLocalBackend* local_backend;
};

typedef MayaBackend* (*MayaBackendsManagerRegisterPluginFunction) (GModule* module);

static gpointer maya_backends_manager_parent_class = NULL;
static MayaBackendsManager* maya_backends_manager_backends_manager;
static MayaBackendsManager* maya_backends_manager_backends_manager = NULL;

GType maya_backends_manager_get_type (void) G_GNUC_CONST;
GType maya_placement_widget_get_type (void) G_GNUC_CONST;
GType maya_backend_get_type (void) G_GNUC_CONST;
GType maya_local_backend_get_type (void) G_GNUC_CONST;
#define MAYA_BACKENDS_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MAYA_TYPE_BACKENDS_MANAGER, MayaBackendsManagerPrivate))
enum  {
	MAYA_BACKENDS_MANAGER_DUMMY_PROPERTY
};
MayaBackendsManager* maya_backends_manager_get_default (void);
static MayaBackendsManager* maya_backends_manager_new (void);
static MayaBackendsManager* maya_backends_manager_construct (GType object_type);
MayaLocalBackend* maya_local_backend_new (void);
MayaLocalBackend* maya_local_backend_construct (GType object_type);
void maya_backends_manager_add_backend (MayaBackendsManager* self, MayaBackend* b);
#define BUILD_PLUGIN_DIR "/usr/lib64/maya-calendar/plugins"
static void maya_backends_manager_find_plugins (MayaBackendsManager* self, GFile* base_folder);
static void maya_backends_manager_load (MayaBackendsManager* self, const gchar* path);
void maya_backends_manager_remove_backend (MayaBackendsManager* self, MayaBackend* b);
static void maya_backends_manager_finalize (GObject * obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 139 "BackendsManager.c"
}


MayaBackendsManager* maya_backends_manager_get_default (void) {
	MayaBackendsManager* result = NULL;
	MayaBackendsManager* _tmp0_;
	MayaBackendsManager* _tmp2_;
	MayaBackendsManager* _tmp3_;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp0_ = maya_backends_manager_backends_manager;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	if (_tmp0_ == NULL) {
#line 152 "BackendsManager.c"
		MayaBackendsManager* _tmp1_;
#line 28 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp1_ = maya_backends_manager_new ();
#line 28 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_object_unref0 (maya_backends_manager_backends_manager);
#line 28 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		maya_backends_manager_backends_manager = _tmp1_;
#line 160 "BackendsManager.c"
	}
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp2_ = maya_backends_manager_backends_manager;
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	result = _tmp3_;
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	return result;
#line 170 "BackendsManager.c"
}


static MayaBackendsManager* maya_backends_manager_construct (GType object_type) {
	MayaBackendsManager * self = NULL;
	GeeArrayList* _tmp0_;
	MayaLocalBackend* _tmp1_;
	MayaLocalBackend* _tmp2_;
	GFile* base_folder = NULL;
	GFile* _tmp3_;
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	self = (MayaBackendsManager*) g_object_new (object_type, NULL);
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp0_ = gee_array_list_new (MAYA_TYPE_BACKEND, NULL, NULL, NULL, NULL, NULL);
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_object_unref0 (self->backends);
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	self->backends = _tmp0_;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp1_ = maya_local_backend_new ();
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_object_unref0 (self->priv->local_backend);
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	self->priv->local_backend = _tmp1_;
#line 47 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp2_ = self->priv->local_backend;
#line 47 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	maya_backends_manager_add_backend (self, (MayaBackend*) _tmp2_);
#line 48 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp3_ = g_file_new_for_path (BUILD_PLUGIN_DIR);
#line 48 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	base_folder = _tmp3_;
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	maya_backends_manager_find_plugins (self, base_folder);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_object_unref0 (base_folder);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	return self;
#line 209 "BackendsManager.c"
}


static MayaBackendsManager* maya_backends_manager_new (void) {
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	return maya_backends_manager_construct (MAYA_TYPE_BACKENDS_MANAGER);
#line 216 "BackendsManager.c"
}


static void maya_backends_manager_load (MayaBackendsManager* self, const gchar* path) {
	gboolean _tmp0_;
	GModule* module = NULL;
	const gchar* _tmp1_;
	GModule* _tmp2_;
	GModule* _tmp3_;
	void* function = NULL;
	GModule* _tmp5_;
	void* _tmp6_ = NULL;
	void* _tmp7_;
	MayaBackendsManagerRegisterPluginFunction register_plugin = NULL;
	void* _tmp9_;
	MayaBackend* plug = NULL;
	MayaBackendsManagerRegisterPluginFunction _tmp10_;
	GModule* _tmp11_;
	MayaBackend* _tmp12_;
	MayaBackend* _tmp13_;
	GModule* _tmp15_;
	MayaBackend* _tmp16_;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (path != NULL);
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp0_ = g_module_supported ();
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	if (_tmp0_ == FALSE) {
#line 54 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_error ("BackendsManager.vala:54: Maya plugins are not supported by this system" \
"!");
#line 249 "BackendsManager.c"
	}
#line 57 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp1_ = path;
#line 57 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp2_ = g_module_open (_tmp1_, G_MODULE_BIND_LAZY);
#line 57 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	module = _tmp2_;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp3_ = module;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	if (_tmp3_ == NULL) {
#line 261 "BackendsManager.c"
		const gchar* _tmp4_;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp4_ = g_module_error ();
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_critical ("BackendsManager.vala:59: %s", _tmp4_);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_module_close0 (module);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		return;
#line 271 "BackendsManager.c"
	}
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp5_ = module;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_module_symbol (_tmp5_, "get_backend", &_tmp6_);
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	function = _tmp6_;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp7_ = function;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	if (_tmp7_ == NULL) {
#line 283 "BackendsManager.c"
		const gchar* _tmp8_;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp8_ = path;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_critical ("BackendsManager.vala:66: get_backend () not found in %s", _tmp8_);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_module_close0 (module);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		return;
#line 293 "BackendsManager.c"
	}
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp9_ = function;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	register_plugin = (MayaBackendsManagerRegisterPluginFunction) _tmp9_;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp10_ = register_plugin;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp11_ = module;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp12_ = _tmp10_ (_tmp11_);
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	plug = _tmp12_;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp13_ = plug;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	if (_tmp13_ == NULL) {
#line 311 "BackendsManager.c"
		const gchar* _tmp14_;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp14_ = path;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_critical ("BackendsManager.vala:73: Unknown plugin type for %s !", _tmp14_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_object_unref0 (plug);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_module_close0 (module);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		return;
#line 323 "BackendsManager.c"
	}
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp15_ = module;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_module_make_resident (_tmp15_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp16_ = plug;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	maya_backends_manager_add_backend (self, _tmp16_);
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_object_unref0 (plug);
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_module_close0 (module);
#line 337 "BackendsManager.c"
}


static void maya_backends_manager_find_plugins (MayaBackendsManager* self, GFile* base_folder) {
	GFileInfo* file_info = NULL;
	GError * _inner_error_ = NULL;
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (self != NULL);
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (base_folder != NULL);
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	file_info = NULL;
#line 350 "BackendsManager.c"
	{
		GFileEnumerator* enumerator = NULL;
		GFile* _tmp0_;
		GFileEnumerator* _tmp1_;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp0_ = base_folder;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp1_ = g_file_enumerate_children (_tmp0_, G_FILE_ATTRIBUTE_STANDARD_NAME "," G_FILE_ATTRIBUTE_STANDARD_TYPE "," G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE, 0, NULL, &_inner_error_);
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		enumerator = _tmp1_;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 363 "BackendsManager.c"
			goto __catch0_g_error;
		}
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		while (TRUE) {
#line 368 "BackendsManager.c"
			GFileInfo* _tmp2_ = NULL;
			GFileEnumerator* _tmp3_;
			GFileInfo* _tmp4_;
			GFileInfo* _tmp5_;
			GFileInfo* _tmp6_;
			GFile* file = NULL;
			GFile* _tmp7_;
			GFileInfo* _tmp8_;
			const gchar* _tmp9_;
			GFile* _tmp10_;
			gboolean _tmp11_ = FALSE;
			GFileInfo* _tmp12_;
			GFileType _tmp13_;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp3_ = enumerator;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp4_ = g_file_enumerator_next_file (_tmp3_, NULL, &_inner_error_);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp2_ = _tmp4_;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_g_object_unref0 (enumerator);
#line 392 "BackendsManager.c"
				goto __catch0_g_error;
			}
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp5_ = _tmp2_;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp2_ = NULL;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_g_object_unref0 (file_info);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			file_info = _tmp5_;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp6_ = file_info;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			if (!(_tmp6_ != NULL)) {
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_g_object_unref0 (_tmp2_);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				break;
#line 411 "BackendsManager.c"
			}
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp7_ = base_folder;
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp8_ = file_info;
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp9_ = g_file_info_get_name (_tmp8_);
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp10_ = g_file_get_child (_tmp7_, _tmp9_);
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			file = _tmp10_;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp12_ = file_info;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_tmp13_ = g_file_info_get_file_type (_tmp12_);
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			if (_tmp13_ == G_FILE_TYPE_REGULAR) {
#line 429 "BackendsManager.c"
				GFileInfo* _tmp14_;
				const gchar* _tmp15_;
				gboolean _tmp16_;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp14_ = file_info;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp15_ = g_file_info_get_content_type (_tmp14_);
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp16_ = g_content_type_equals (_tmp15_, "application/x-sharedlib");
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp11_ = _tmp16_;
#line 441 "BackendsManager.c"
			} else {
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp11_ = FALSE;
#line 445 "BackendsManager.c"
			}
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			if (_tmp11_) {
#line 449 "BackendsManager.c"
				GFile* _tmp17_;
				gchar* _tmp18_;
				gchar* _tmp19_;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp17_ = file;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp18_ = g_file_get_path (_tmp17_);
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp19_ = _tmp18_;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				maya_backends_manager_load (self, _tmp19_);
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_g_free0 (_tmp19_);
#line 463 "BackendsManager.c"
			} else {
				GFileInfo* _tmp20_;
				GFileType _tmp21_;
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp20_ = file_info;
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				_tmp21_ = g_file_info_get_file_type (_tmp20_);
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
				if (_tmp21_ == G_FILE_TYPE_DIRECTORY) {
#line 473 "BackendsManager.c"
					GFile* _tmp22_;
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
					_tmp22_ = file;
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
					maya_backends_manager_find_plugins (self, _tmp22_);
#line 479 "BackendsManager.c"
				}
			}
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_g_object_unref0 (file);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
			_g_object_unref0 (_tmp2_);
#line 486 "BackendsManager.c"
		}
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_object_unref0 (enumerator);
#line 490 "BackendsManager.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* err = NULL;
		GError* _tmp23_;
		const gchar* _tmp24_;
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		err = _inner_error_;
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_inner_error_ = NULL;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp23_ = err;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp24_ = _tmp23_->message;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_warning ("BackendsManager.vala:94: Unable to scan plugs folder: %s\n", _tmp24_);
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_error_free0 (err);
#line 510 "BackendsManager.c"
	}
	__finally0:
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_g_object_unref0 (file_info);
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_clear_error (&_inner_error_);
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		return;
#line 523 "BackendsManager.c"
	}
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_object_unref0 (file_info);
#line 527 "BackendsManager.c"
}


void maya_backends_manager_add_backend (MayaBackendsManager* self, MayaBackend* b) {
	GeeArrayList* _tmp0_;
	MayaBackend* _tmp1_;
	MayaBackend* _tmp2_;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (self != NULL);
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (b != NULL);
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp0_ = self->backends;
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp1_ = b;
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp2_ = b;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_signal_emit (self, maya_backends_manager_signals[MAYA_BACKENDS_MANAGER_BACKEND_ADDED_SIGNAL], 0, _tmp2_);
#line 549 "BackendsManager.c"
}


void maya_backends_manager_remove_backend (MayaBackendsManager* self, MayaBackend* b) {
	GeeArrayList* _tmp0_;
	MayaBackend* _tmp1_;
	gboolean _tmp2_;
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (self != NULL);
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_return_if_fail (b != NULL);
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp0_ = self->backends;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp1_ = b;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_tmp2_ = gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	if (_tmp2_) {
#line 569 "BackendsManager.c"
		GeeArrayList* _tmp3_;
		MayaBackend* _tmp4_;
		MayaBackend* _tmp5_;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp3_ = self->backends;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp4_ = b;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp3_, _tmp4_);
#line 106 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		_tmp5_ = b;
#line 106 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
		g_signal_emit (self, maya_backends_manager_signals[MAYA_BACKENDS_MANAGER_BACKEND_REMOVED_SIGNAL], 0, _tmp5_);
#line 583 "BackendsManager.c"
	}
}


static void maya_backends_manager_class_init (MayaBackendsManagerClass * klass) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	maya_backends_manager_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	g_type_class_add_private (klass, sizeof (MayaBackendsManagerPrivate));
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_backends_manager_finalize;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	maya_backends_manager_signals[MAYA_BACKENDS_MANAGER_BACKEND_ADDED_SIGNAL] = g_signal_new ("backend_added", MAYA_TYPE_BACKENDS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, MAYA_TYPE_BACKEND);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	maya_backends_manager_signals[MAYA_BACKENDS_MANAGER_BACKEND_REMOVED_SIGNAL] = g_signal_new ("backend_removed", MAYA_TYPE_BACKENDS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, MAYA_TYPE_BACKEND);
#line 599 "BackendsManager.c"
}


static void maya_backends_manager_instance_init (MayaBackendsManager * self) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	self->priv = MAYA_BACKENDS_MANAGER_GET_PRIVATE (self);
#line 606 "BackendsManager.c"
}


static void maya_backends_manager_finalize (GObject * obj) {
	MayaBackendsManager * self;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_TYPE_BACKENDS_MANAGER, MayaBackendsManager);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_object_unref0 (self->backends);
#line 40 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	_g_object_unref0 (self->priv->local_backend);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/BackendsManager.vala"
	G_OBJECT_CLASS (maya_backends_manager_parent_class)->finalize (obj);
#line 620 "BackendsManager.c"
}


GType maya_backends_manager_get_type (void) {
	static volatile gsize maya_backends_manager_type_id__volatile = 0;
	if (g_once_init_enter (&maya_backends_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaBackendsManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_backends_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaBackendsManager), 0, (GInstanceInitFunc) maya_backends_manager_instance_init, NULL };
		GType maya_backends_manager_type_id;
		maya_backends_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "MayaBackendsManager", &g_define_type_info, 0);
		g_once_init_leave (&maya_backends_manager_type_id__volatile, maya_backends_manager_type_id);
	}
	return maya_backends_manager_type_id__volatile;
}



