/* CalDAVBackend.c generated by valac 0.36.4, the Vala compiler
 * generated from CalDAVBackend.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013 Maya Developers (https://launchpad.net/maya)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <gmodule.h>
#include <maya-calendar.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <libedataserver/libedataserver.h>
#include <gee.h>
#include <gtk/gtk.h>
#include <libsoup/soup.h>


#define MAYA_TYPE_CAL_DAV_BACKEND (maya_cal_dav_backend_get_type ())
#define MAYA_CAL_DAV_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackend))
#define MAYA_CAL_DAV_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackendClass))
#define MAYA_IS_CAL_DAV_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_CAL_DAV_BACKEND))
#define MAYA_IS_CAL_DAV_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_CAL_DAV_BACKEND))
#define MAYA_CAL_DAV_BACKEND_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackendClass))

typedef struct _MayaCalDavBackend MayaCalDavBackend;
typedef struct _MayaCalDavBackendClass MayaCalDavBackendClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _MayaCalDavBackendPrivate MayaCalDavBackendPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_SoupURI_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupURI_free (var), NULL)))
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _MayaCalDavBackend {
	GObject parent_instance;
	MayaCalDavBackendPrivate * priv;
};

struct _MayaCalDavBackendClass {
	GObjectClass parent_class;
};


extern MayaBackend* backend;
MayaBackend* backend = NULL;
static gpointer maya_cal_dav_backend_parent_class = NULL;
static MayaBackendIface * maya_cal_dav_backend_maya_backend_parent_iface = NULL;

MayaBackend* get_backend (GModule* module);
GType maya_cal_dav_backend_get_type (void) G_GNUC_CONST;
MayaCalDavBackend* maya_cal_dav_backend_new (void);
MayaCalDavBackend* maya_cal_dav_backend_construct (GType object_type);
enum  {
	MAYA_CAL_DAV_BACKEND_DUMMY_PROPERTY
};
static gchar* maya_cal_dav_backend_real_get_name (MayaBackend* base);
static gchar* maya_cal_dav_backend_real_get_uid (MayaBackend* base);
static GeeCollection* maya_cal_dav_backend_real_get_new_calendar_widget (MayaBackend* base, ESource* to_edit);
static void _vala_SoupURI_free (SoupURI* self);
static void maya_cal_dav_backend_real_add_new_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets);
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
static void maya_cal_dav_backend_real_modify_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source);


MayaBackend* get_backend (GModule* module) {
	MayaBackend* result = NULL;
	MayaCalDavBackend* b = NULL;
	MayaCalDavBackend* _tmp0_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_val_if_fail (module != NULL, NULL);
#line 24 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_debug ("CalDAVBackend.vala:24: Activating CalDAV Backend");
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = maya_cal_dav_backend_new ();
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	b = _tmp0_;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref ((GObject*) b);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = (MayaBackend*) b;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 106 "CalDAVBackend.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return self ? g_object_ref (self) : NULL;
#line 113 "CalDAVBackend.c"
}


MayaCalDavBackend* maya_cal_dav_backend_construct (GType object_type) {
	MayaCalDavBackend * self = NULL;
	MayaBackend* _tmp0_;
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) g_object_new (object_type, NULL);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = _g_object_ref0 ((MayaBackend*) self);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (backend);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	backend = _tmp0_;
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return self;
#line 130 "CalDAVBackend.c"
}


MayaCalDavBackend* maya_cal_dav_backend_new (void) {
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return maya_cal_dav_backend_construct (MAYA_TYPE_CAL_DAV_BACKEND);
#line 137 "CalDAVBackend.c"
}


static gchar* maya_cal_dav_backend_real_get_name (MayaBackend* base) {
	MayaCalDavBackend * self;
	gchar* result = NULL;
	gchar* _tmp0_;
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = g_strdup (_ ("CalDAV"));
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = _tmp0_;
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 153 "CalDAVBackend.c"
}


static gchar* maya_cal_dav_backend_real_get_uid (MayaBackend* base) {
	MayaCalDavBackend * self;
	gchar* result = NULL;
	gchar* _tmp0_;
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = g_strdup ("caldav-stub");
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = _tmp0_;
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 169 "CalDAVBackend.c"
}


static void _vala_SoupURI_free (SoupURI* self) {
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_boxed_free (soup_uri_get_type (), self);
#line 176 "CalDAVBackend.c"
}


static GeeCollection* maya_cal_dav_backend_real_get_new_calendar_widget (MayaBackend* base, ESource* to_edit) {
	MayaCalDavBackend * self;
	GeeCollection* result = NULL;
	GeeLinkedList* collection = NULL;
	GeeLinkedList* _tmp0_;
	gboolean keep_copy = FALSE;
	ESource* _tmp1_;
	GeeLinkedList* _tmp8_;
	gboolean _tmp9_;
	MayaPlacementWidget* _tmp10_;
	MayaPlacementWidget* _tmp11_;
	MayaPlacementWidget* url_label = NULL;
	MayaPlacementWidget* _tmp12_;
	MayaPlacementWidget* _tmp13_;
	GtkLabel* _tmp14_;
	MayaPlacementWidget* _tmp15_;
	GtkWidget* _tmp16_;
	MayaPlacementWidget* _tmp17_;
	GtkWidget* _tmp18_;
	MayaPlacementWidget* _tmp19_;
	MayaPlacementWidget* _tmp20_;
	MayaPlacementWidget* _tmp21_;
	gchar* _tmp22_;
	GeeLinkedList* _tmp23_;
	MayaPlacementWidget* _tmp24_;
	MayaPlacementWidget* url_entry = NULL;
	MayaPlacementWidget* _tmp25_;
	MayaPlacementWidget* _tmp26_;
	GtkEntry* _tmp27_;
	MayaPlacementWidget* _tmp28_;
	GtkWidget* _tmp29_;
	MayaPlacementWidget* _tmp30_;
	MayaPlacementWidget* _tmp31_;
	MayaPlacementWidget* _tmp32_;
	gchar* _tmp33_;
	MayaPlacementWidget* _tmp34_;
	GeeLinkedList* _tmp35_;
	MayaPlacementWidget* _tmp36_;
	ESource* _tmp37_;
	MayaPlacementWidget* secure_checkbutton = NULL;
	MayaPlacementWidget* _tmp53_;
	MayaPlacementWidget* _tmp54_;
	GtkCheckButton* _tmp55_;
	MayaPlacementWidget* _tmp56_;
	MayaPlacementWidget* _tmp57_;
	MayaPlacementWidget* _tmp58_;
	gchar* _tmp59_;
	GeeLinkedList* _tmp60_;
	MayaPlacementWidget* _tmp61_;
	ESource* _tmp62_;
	gchar* user = NULL;
	gchar* _tmp71_;
	ESource* _tmp72_;
	GeeLinkedList* _tmp83_;
	const gchar* _tmp84_;
	GeeLinkedList* _tmp85_;
	GeeLinkedList* _tmp86_;
	gchar* email = NULL;
	gchar* _tmp87_;
	ESource* _tmp88_;
	GeeLinkedList* _tmp99_;
	const gchar* _tmp100_;
	GeeLinkedList* _tmp101_;
	GeeLinkedList* _tmp102_;
	MayaPlacementWidget* server_checkbutton = NULL;
	MayaPlacementWidget* _tmp103_;
	MayaPlacementWidget* _tmp104_;
	GtkCheckButton* _tmp105_;
	MayaPlacementWidget* _tmp106_;
	MayaPlacementWidget* _tmp107_;
	MayaPlacementWidget* _tmp108_;
	gchar* _tmp109_;
	ESource* _tmp110_;
	GeeLinkedList* _tmp119_;
	MayaPlacementWidget* _tmp120_;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 47 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = gee_linked_list_new (MAYA_TYPE_PLACEMENT_WIDGET, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 47 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	collection = _tmp0_;
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	keep_copy = FALSE;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp1_ = to_edit;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp1_ != NULL) {
#line 267 "CalDAVBackend.c"
		ESourceOffline* source_offline = NULL;
		ESource* _tmp2_;
		ESourceExtension* _tmp3_;
		ESourceOffline* _tmp4_;
		ESourceOffline* _tmp5_;
		gboolean _tmp6_;
		gboolean _tmp7_;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = to_edit;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = e_source_get_extension (_tmp2_, E_SOURCE_EXTENSION_OFFLINE);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, e_source_offline_get_type (), ESourceOffline));
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		source_offline = _tmp4_;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = source_offline;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = e_source_offline_get_stay_synchronized (_tmp5_);
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = _tmp6_;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		keep_copy = _tmp7_;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (source_offline);
#line 293 "CalDAVBackend.c"
	}
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp8_ = collection;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp9_ = keep_copy;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp10_ = maya_default_placement_widgets_get_keep_copy (0, _tmp9_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp11_ = _tmp10_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp8_, _tmp11_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp11_);
#line 57 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp12_ = maya_placement_widget_new ();
#line 57 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	url_label = _tmp12_;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp13_ = url_label;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp14_ = (GtkLabel*) gtk_label_new (_ ("URL:"));
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp14_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp13_->widget);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp13_->widget = (GtkWidget*) _tmp14_;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp15_ = url_label;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp16_ = _tmp15_->widget;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_set ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, gtk_label_get_type (), GtkLabel), "expand", TRUE, NULL);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp17_ = url_label;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp18_ = _tmp17_->widget;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp18_, gtk_misc_get_type (), GtkMisc), "xalign", 1.0f, NULL);
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp19_ = url_label;
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp19_->row = 1;
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp20_ = url_label;
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp20_->column = 0;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp21_ = url_label;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp22_ = g_strdup ("url_label");
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp21_->ref_name);
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp21_->ref_name = _tmp22_;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp23_ = collection;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp24_ = url_label;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp23_, _tmp24_);
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp25_ = maya_placement_widget_new ();
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	url_entry = _tmp25_;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp26_ = url_entry;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp27_ = (GtkEntry*) gtk_entry_new ();
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp27_);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp26_->widget);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp26_->widget = (GtkWidget*) _tmp27_;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp28_ = url_entry;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp29_ = _tmp28_->widget;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp29_, gtk_entry_get_type (), GtkEntry), "http://");
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp30_ = url_entry;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp30_->row = 1;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp31_ = url_entry;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp31_->column = 1;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp32_ = url_entry;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp33_ = g_strdup ("url_entry");
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp32_->ref_name);
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp32_->ref_name = _tmp33_;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp34_ = url_entry;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp34_->needed = TRUE;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp35_ = collection;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp36_ = url_entry;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp35_, _tmp36_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp37_ = to_edit;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp37_ != NULL) {
#line 405 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESource* _tmp38_;
		ESourceExtension* _tmp39_;
		ESourceWebdav* _tmp40_;
		SoupURI* uri = NULL;
		ESourceWebdav* _tmp41_;
		SoupURI* _tmp42_;
		MayaPlacementWidget* _tmp43_;
		GtkWidget* _tmp44_;
		SoupURI* _tmp45_;
		const gchar* _tmp46_;
		SoupURI* _tmp47_;
		const gchar* _tmp48_;
		SoupURI* _tmp49_;
		const gchar* _tmp50_;
		gchar* _tmp51_;
		gchar* _tmp52_;
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp38_ = to_edit;
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp39_ = e_source_get_extension (_tmp38_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp40_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp39_, e_source_webdav_get_type (), ESourceWebdav));
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp40_;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp41_ = webdav;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp42_ = e_source_webdav_dup_soup_uri (_tmp41_);
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		uri = _tmp42_;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp43_ = url_entry;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp44_ = _tmp43_->widget;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp45_ = uri;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp46_ = soup_uri_get_scheme (_tmp45_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp47_ = uri;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp48_ = soup_uri_get_host (_tmp47_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp49_ = uri;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp50_ = soup_uri_get_path (_tmp49_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp51_ = g_strdup_printf ("%s://%s%s", _tmp46_, _tmp48_, _tmp50_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp52_ = _tmp51_;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp44_, gtk_entry_get_type (), GtkEntry), _tmp52_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_free0 (_tmp52_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		__vala_SoupURI_free0 (uri);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 465 "CalDAVBackend.c"
	}
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp53_ = maya_placement_widget_new ();
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	secure_checkbutton = _tmp53_;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp54_ = secure_checkbutton;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp55_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Use a secure connection"));
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp55_);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp54_->widget);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp54_->widget = (GtkWidget*) _tmp55_;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp56_ = secure_checkbutton;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp56_->row = 3;
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp57_ = secure_checkbutton;
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp57_->column = 1;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp58_ = secure_checkbutton;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp59_ = g_strdup ("secure_checkbutton");
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp58_->ref_name);
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp58_->ref_name = _tmp59_;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp60_ = collection;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp61_ = secure_checkbutton;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp60_, _tmp61_);
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp62_ = to_edit;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp62_ != NULL) {
#line 507 "CalDAVBackend.c"
		ESourceSecurity* security = NULL;
		ESource* _tmp63_;
		ESourceExtension* _tmp64_;
		ESourceSecurity* _tmp65_;
		MayaPlacementWidget* _tmp66_;
		GtkWidget* _tmp67_;
		ESourceSecurity* _tmp68_;
		gboolean _tmp69_;
		gboolean _tmp70_;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp63_ = to_edit;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp64_ = e_source_get_extension (_tmp63_, E_SOURCE_EXTENSION_SECURITY);
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp65_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp64_, e_source_security_get_type (), ESourceSecurity));
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		security = _tmp65_;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp66_ = secure_checkbutton;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp67_ = _tmp66_->widget;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp68_ = security;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp69_ = e_source_security_get_secure (_tmp68_);
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp70_ = _tmp69_;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp67_, gtk_check_button_get_type (), GtkCheckButton), _tmp70_);
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (security);
#line 539 "CalDAVBackend.c"
	}
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp71_ = g_strdup ("");
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	user = _tmp71_;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp72_ = to_edit;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp72_ != NULL) {
#line 549 "CalDAVBackend.c"
		ESourceAuthentication* auth = NULL;
		ESource* _tmp73_;
		ESourceExtension* _tmp74_;
		ESourceAuthentication* _tmp75_;
		ESourceAuthentication* _tmp76_;
		const gchar* _tmp77_;
		const gchar* _tmp78_;
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp73_ = to_edit;
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp74_ = e_source_get_extension (_tmp73_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp75_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp74_, e_source_authentication_get_type (), ESourceAuthentication));
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp75_;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp76_ = auth;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp77_ = e_source_authentication_get_user (_tmp76_);
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp78_ = _tmp77_;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp78_ != NULL) {
#line 573 "CalDAVBackend.c"
			ESourceAuthentication* _tmp79_;
			const gchar* _tmp80_;
			const gchar* _tmp81_;
			gchar* _tmp82_;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp79_ = auth;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp80_ = e_source_authentication_get_user (_tmp79_);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp81_ = _tmp80_;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp82_ = g_strdup (_tmp81_);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (user);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			user = _tmp82_;
#line 590 "CalDAVBackend.c"
		}
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 594 "CalDAVBackend.c"
	}
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp83_ = collection;
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp84_ = user;
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp85_ = maya_default_placement_widgets_get_user (4, TRUE, _tmp84_, NULL);
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp86_ = _tmp85_;
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_collection_add_all ((GeeCollection*) _tmp83_, (GeeCollection*) _tmp86_);
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp86_);
#line 109 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp87_ = g_strdup ("");
#line 109 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	email = _tmp87_;
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp88_ = to_edit;
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp88_ != NULL) {
#line 616 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESource* _tmp89_;
		ESourceExtension* _tmp90_;
		ESourceWebdav* _tmp91_;
		ESourceWebdav* _tmp92_;
		const gchar* _tmp93_;
		const gchar* _tmp94_;
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp89_ = to_edit;
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp90_ = e_source_get_extension (_tmp89_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp91_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp90_, e_source_webdav_get_type (), ESourceWebdav));
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp91_;
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp92_ = webdav;
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp93_ = e_source_webdav_get_email_address (_tmp92_);
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp94_ = _tmp93_;
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp94_ != NULL) {
#line 640 "CalDAVBackend.c"
			ESourceWebdav* _tmp95_;
			const gchar* _tmp96_;
			const gchar* _tmp97_;
			gchar* _tmp98_;
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp95_ = webdav;
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp96_ = e_source_webdav_get_email_address (_tmp95_);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp97_ = _tmp96_;
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp98_ = g_strdup (_tmp97_);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (email);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			email = _tmp98_;
#line 657 "CalDAVBackend.c"
		}
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 661 "CalDAVBackend.c"
	}
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp99_ = collection;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp100_ = email;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp101_ = maya_default_placement_widgets_get_email (5, FALSE, _tmp100_, NULL);
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp102_ = _tmp101_;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_collection_add_all ((GeeCollection*) _tmp99_, (GeeCollection*) _tmp102_);
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp102_);
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp103_ = maya_placement_widget_new ();
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	server_checkbutton = _tmp103_;
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp104_ = server_checkbutton;
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp105_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Server handles meeting invitations"));
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp105_);
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp104_->widget);
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp104_->widget = (GtkWidget*) _tmp105_;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp106_ = server_checkbutton;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp106_->row = 6;
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp107_ = server_checkbutton;
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp107_->column = 1;
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp108_ = server_checkbutton;
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp109_ = g_strdup ("server_checkbutton");
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp108_->ref_name);
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp108_->ref_name = _tmp109_;
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp110_ = to_edit;
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp110_ != NULL) {
#line 709 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESource* _tmp111_;
		ESourceExtension* _tmp112_;
		ESourceWebdav* _tmp113_;
		MayaPlacementWidget* _tmp114_;
		GtkWidget* _tmp115_;
		ESourceWebdav* _tmp116_;
		gboolean _tmp117_;
		gboolean _tmp118_;
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp111_ = to_edit;
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp112_ = e_source_get_extension (_tmp111_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp113_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp112_, e_source_webdav_get_type (), ESourceWebdav));
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp113_;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp114_ = server_checkbutton;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp115_ = _tmp114_->widget;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp116_ = webdav;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp117_ = e_source_webdav_get_calendar_auto_schedule (_tmp116_);
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp118_ = _tmp117_;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp115_, gtk_check_button_get_type (), GtkCheckButton), _tmp118_);
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 741 "CalDAVBackend.c"
	}
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp119_ = collection;
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp120_ = server_checkbutton;
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp119_, _tmp120_);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = (GeeCollection*) collection;
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (server_checkbutton);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (email);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (user);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (secure_checkbutton);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (url_entry);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (url_label);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 765 "CalDAVBackend.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 772 "CalDAVBackend.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_list_free (self);
#line 781 "CalDAVBackend.c"
}


static void maya_cal_dav_backend_real_add_new_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets) {
	MayaCalDavBackend * self;
	GError * _inner_error_ = NULL;
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (name != NULL);
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (color != NULL);
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 796 "CalDAVBackend.c"
	{
		ESource* new_source = NULL;
		ESource* _tmp0_;
		ESource* _tmp1_;
		const gchar* _tmp2_;
		ESource* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		ESourceCalendar* cal = NULL;
		ESource* _tmp6_;
		ESourceExtension* _tmp7_;
		ESourceCalendar* _tmp8_;
		ESourceCalendar* _tmp9_;
		const gchar* _tmp10_;
		ESourceCalendar* _tmp11_;
		ESourceWebdav* webdav = NULL;
		ESource* _tmp12_;
		ESourceExtension* _tmp13_;
		ESourceWebdav* _tmp14_;
		ESourceAuthentication* auth = NULL;
		ESource* _tmp15_;
		ESourceExtension* _tmp16_;
		ESourceAuthentication* _tmp17_;
		ESourceOffline* offline = NULL;
		ESource* _tmp18_;
		ESourceExtension* _tmp19_;
		ESourceOffline* _tmp20_;
		MayaModelCalendarModel* calmodel = NULL;
		MayaModelCalendarModel* _tmp59_;
		ESourceRegistry* registry = NULL;
		MayaModelCalendarModel* _tmp60_;
		ESourceRegistry* _tmp61_;
		ESourceRegistry* _tmp62_;
		ESourceRegistry* _tmp63_;
		GList* list = NULL;
		ESource* _tmp64_;
		ESource* _tmp65_;
		ESourceRegistry* _tmp66_;
		GList* _tmp67_;
		MayaModelCalendarModel* _tmp68_;
		ESource* _tmp69_;
		gboolean _tmp70_;
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp0_ = e_source_new (NULL, NULL, &_inner_error_);
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		new_source = _tmp0_;
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 845 "CalDAVBackend.c"
			goto __catch0_g_error;
		}
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp1_ = new_source;
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = name;
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_display_name (_tmp1_, _tmp2_);
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = new_source;
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = maya_backend_get_uid ((MayaBackend*) self);
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = _tmp4_;
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_parent (_tmp3_, _tmp5_);
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_free0 (_tmp5_);
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = new_source;
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = e_source_get_extension (_tmp6_, E_SOURCE_EXTENSION_CALENDAR);
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp8_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, e_source_calendar_get_type (), ESourceCalendar));
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		cal = _tmp8_;
#line 138 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp9_ = cal;
#line 138 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp10_ = color;
#line 138 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_selectable_set_color ((ESourceSelectable*) _tmp9_, _tmp10_);
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp11_ = cal;
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_backend_set_backend_name ((ESourceBackend*) _tmp11_, "caldav");
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp12_ = new_source;
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp13_ = e_source_get_extension (_tmp12_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp14_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, e_source_webdav_get_type (), ESourceWebdav));
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp14_;
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp15_ = new_source;
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp16_ = e_source_get_extension (_tmp15_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp17_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, e_source_authentication_get_type (), ESourceAuthentication));
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp17_;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp18_ = new_source;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp19_ = e_source_get_extension (_tmp18_, E_SOURCE_EXTENSION_OFFLINE);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp20_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp19_, e_source_offline_get_type (), ESourceOffline));
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		offline = _tmp20_;
#line 906 "CalDAVBackend.c"
		{
			GeeIterator* _widget_it = NULL;
			GeeCollection* _tmp21_;
			GeeIterator* _tmp22_;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp21_ = widgets;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp22_ = gee_iterable_iterator ((GeeIterable*) _tmp21_);
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_widget_it = _tmp22_;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			while (TRUE) {
#line 919 "CalDAVBackend.c"
				GeeIterator* _tmp23_;
				gboolean _tmp24_;
				MayaPlacementWidget* widget = NULL;
				GeeIterator* _tmp25_;
				gpointer _tmp26_;
				MayaPlacementWidget* _tmp27_;
				const gchar* _tmp28_;
				const gchar* _tmp29_;
				GQuark _tmp31_ = 0U;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label0 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label1 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label2 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label3 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label4 = 0;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp23_ = _widget_it;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp24_ = gee_iterator_next (_tmp23_);
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (!_tmp24_) {
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					break;
#line 947 "CalDAVBackend.c"
				}
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp25_ = _widget_it;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp26_ = gee_iterator_get (_tmp25_);
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				widget = (MayaPlacementWidget*) _tmp26_;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp27_ = widget;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp28_ = _tmp27_->ref_name;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp29_ = _tmp28_;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp31_ = (NULL == _tmp29_) ? 0 : g_quark_from_string (_tmp29_);
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (_tmp31_ == ((0 != _tmp30_label0) ? _tmp30_label0 : (_tmp30_label0 = g_quark_from_static_string ("url_entry")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 967 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp32_;
							MayaPlacementWidget* _tmp33_;
							GtkWidget* _tmp34_;
							const gchar* _tmp35_;
							const gchar* _tmp36_;
							SoupURI* _tmp37_;
							SoupURI* _tmp38_;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp32_ = webdav;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp33_ = widget;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp34_ = _tmp33_->widget;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp35_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp34_, gtk_entry_get_type (), GtkEntry));
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp36_ = _tmp35_;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp37_ = soup_uri_new (_tmp36_);
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp38_ = _tmp37_;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							g_object_set (_tmp32_, "soup-uri", _tmp38_, NULL);
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							__vala_SoupURI_free0 (_tmp38_);
#line 147 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 997 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label1) ? _tmp30_label1 : (_tmp30_label1 = g_quark_from_static_string ("user_entry")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1003 "CalDAVBackend.c"
						default:
						{
							ESourceAuthentication* _tmp39_;
							MayaPlacementWidget* _tmp40_;
							GtkWidget* _tmp41_;
							const gchar* _tmp42_;
							const gchar* _tmp43_;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp39_ = auth;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp40_ = widget;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp41_ = _tmp40_->widget;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp42_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, gtk_entry_get_type (), GtkEntry));
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp43_ = _tmp42_;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_authentication_set_user (_tmp39_, _tmp43_);
#line 150 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1025 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label2) ? _tmp30_label2 : (_tmp30_label2 = g_quark_from_static_string ("email_entry")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1031 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp44_;
							MayaPlacementWidget* _tmp45_;
							GtkWidget* _tmp46_;
							const gchar* _tmp47_;
							const gchar* _tmp48_;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp44_ = webdav;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp45_ = widget;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp46_ = _tmp45_->widget;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp47_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp46_, gtk_entry_get_type (), GtkEntry));
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp48_ = _tmp47_;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_email_address (_tmp44_, _tmp48_);
#line 153 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1053 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label3) ? _tmp30_label3 : (_tmp30_label3 = g_quark_from_static_string ("server_checkbutton")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1059 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp49_;
							MayaPlacementWidget* _tmp50_;
							GtkWidget* _tmp51_;
							gboolean _tmp52_;
							gboolean _tmp53_;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp49_ = webdav;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp50_ = widget;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp51_ = _tmp50_->widget;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp52_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp51_, gtk_check_button_get_type (), GtkCheckButton));
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp53_ = _tmp52_;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_calendar_auto_schedule (_tmp49_, _tmp53_);
#line 156 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1081 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label4) ? _tmp30_label4 : (_tmp30_label4 = g_quark_from_static_string ("keep_copy")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1087 "CalDAVBackend.c"
						default:
						{
							ESourceOffline* _tmp54_;
							MayaPlacementWidget* _tmp55_;
							GtkWidget* _tmp56_;
							gboolean _tmp57_;
							gboolean _tmp58_;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp54_ = offline;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp55_ = widget;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp56_ = _tmp55_->widget;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp57_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp56_, gtk_check_button_get_type (), GtkCheckButton));
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp58_ = _tmp57_;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_offline_set_stay_synchronized (_tmp54_, _tmp58_);
#line 159 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1109 "CalDAVBackend.c"
						}
					}
				}
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (widget);
#line 1115 "CalDAVBackend.c"
			}
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (_widget_it);
#line 1119 "CalDAVBackend.c"
		}
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp59_ = maya_model_calendar_model_get_default ();
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		calmodel = _tmp59_;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp60_ = calmodel;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp61_ = maya_model_calendar_model_get_registry (_tmp60_);
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp62_ = _tmp61_;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp63_ = _g_object_ref0 (_tmp62_);
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		registry = _tmp63_;
#line 165 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		list = NULL;
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp64_ = new_source;
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp65_ = _g_object_ref0 (_tmp64_);
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		list = g_list_append (list, _tmp65_);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp66_ = registry;
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp67_ = list;
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_registry_create_sources_sync (_tmp66_, _tmp67_, NULL, &_inner_error_);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			__g_list_free__g_object_unref0_0 (list);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (registry);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (calmodel);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (offline);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (auth);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (webdav);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (cal);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (new_source);
#line 1167 "CalDAVBackend.c"
			goto __catch0_g_error;
		}
#line 168 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp68_ = calmodel;
#line 168 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp69_ = new_source;
#line 168 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		maya_model_calendar_model_add_source (_tmp68_, _tmp69_);
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp70_ = set_default;
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp70_) {
#line 1180 "CalDAVBackend.c"
			ESourceRegistry* _tmp71_;
			ESource* _tmp72_;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp71_ = registry;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp72_ = new_source;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			g_object_set (_tmp71_, "default-calendar", _tmp72_, NULL);
#line 1189 "CalDAVBackend.c"
		}
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		__g_list_free__g_object_unref0_0 (list);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (registry);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (calmodel);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (offline);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (cal);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (new_source);
#line 1207 "CalDAVBackend.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp73_;
		const gchar* _tmp74_;
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_error_ = _inner_error_;
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_inner_error_ = NULL;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp73_ = _error_;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp74_ = _tmp73_->message;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("CalDAVBackend.vala:174: %s", _tmp74_);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_error_free0 (_error_);
#line 1227 "CalDAVBackend.c"
	}
	__finally0:
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_clear_error (&_inner_error_);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		return;
#line 1238 "CalDAVBackend.c"
	}
}


static void maya_cal_dav_backend_real_modify_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source) {
	MayaCalDavBackend * self;
	GError * _inner_error_ = NULL;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (name != NULL);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (color != NULL);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (source != NULL);
#line 1256 "CalDAVBackend.c"
	{
		ESource* _tmp0_;
		const gchar* _tmp1_;
		ESourceCalendar* cal = NULL;
		ESource* _tmp2_;
		ESourceExtension* _tmp3_;
		ESourceCalendar* _tmp4_;
		ESourceCalendar* _tmp5_;
		const gchar* _tmp6_;
		ESourceWebdav* webdav = NULL;
		ESource* _tmp7_;
		ESourceExtension* _tmp8_;
		ESourceWebdav* _tmp9_;
		ESourceAuthentication* auth = NULL;
		ESource* _tmp10_;
		ESourceExtension* _tmp11_;
		ESourceAuthentication* _tmp12_;
		ESourceOffline* offline = NULL;
		ESource* _tmp13_;
		ESourceExtension* _tmp14_;
		ESourceOffline* _tmp15_;
		ESource* _tmp54_;
		gboolean _tmp55_;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp0_ = source;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp1_ = name;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_display_name (_tmp0_, _tmp1_);
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = source;
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = e_source_get_extension (_tmp2_, E_SOURCE_EXTENSION_CALENDAR);
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, e_source_calendar_get_type (), ESourceCalendar));
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		cal = _tmp4_;
#line 182 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = cal;
#line 182 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = color;
#line 182 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_selectable_set_color ((ESourceSelectable*) _tmp5_, _tmp6_);
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = source;
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp8_ = e_source_get_extension (_tmp7_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp9_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, e_source_webdav_get_type (), ESourceWebdav));
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp9_;
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp10_ = source;
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp11_ = e_source_get_extension (_tmp10_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, e_source_authentication_get_type (), ESourceAuthentication));
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp12_;
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp13_ = source;
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp14_ = e_source_get_extension (_tmp13_, E_SOURCE_EXTENSION_OFFLINE);
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp15_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp14_, e_source_offline_get_type (), ESourceOffline));
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		offline = _tmp15_;
#line 1324 "CalDAVBackend.c"
		{
			GeeIterator* _widget_it = NULL;
			GeeCollection* _tmp16_;
			GeeIterator* _tmp17_;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp16_ = widgets;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp17_ = gee_iterable_iterator ((GeeIterable*) _tmp16_);
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_widget_it = _tmp17_;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			while (TRUE) {
#line 1337 "CalDAVBackend.c"
				GeeIterator* _tmp18_;
				gboolean _tmp19_;
				MayaPlacementWidget* widget = NULL;
				GeeIterator* _tmp20_;
				gpointer _tmp21_;
				MayaPlacementWidget* _tmp22_;
				const gchar* _tmp23_;
				const gchar* _tmp24_;
				GQuark _tmp26_ = 0U;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label0 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label1 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label2 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label3 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label4 = 0;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp18_ = _widget_it;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp19_ = gee_iterator_next (_tmp18_);
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (!_tmp19_) {
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					break;
#line 1365 "CalDAVBackend.c"
				}
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp20_ = _widget_it;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp21_ = gee_iterator_get (_tmp20_);
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				widget = (MayaPlacementWidget*) _tmp21_;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp22_ = widget;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp23_ = _tmp22_->ref_name;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp24_ = _tmp23_;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp26_ = (NULL == _tmp24_) ? 0 : g_quark_from_string (_tmp24_);
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (_tmp26_ == ((0 != _tmp25_label0) ? _tmp25_label0 : (_tmp25_label0 = g_quark_from_static_string ("url_entry")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1385 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp27_;
							MayaPlacementWidget* _tmp28_;
							GtkWidget* _tmp29_;
							const gchar* _tmp30_;
							const gchar* _tmp31_;
							SoupURI* _tmp32_;
							SoupURI* _tmp33_;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp27_ = webdav;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp28_ = widget;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp29_ = _tmp28_->widget;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp30_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp29_, gtk_entry_get_type (), GtkEntry));
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp31_ = _tmp30_;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp32_ = soup_uri_new (_tmp31_);
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp33_ = _tmp32_;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							g_object_set (_tmp27_, "soup-uri", _tmp33_, NULL);
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							__vala_SoupURI_free0 (_tmp33_);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1415 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label1) ? _tmp25_label1 : (_tmp25_label1 = g_quark_from_static_string ("user_entry")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1421 "CalDAVBackend.c"
						default:
						{
							ESourceAuthentication* _tmp34_;
							MayaPlacementWidget* _tmp35_;
							GtkWidget* _tmp36_;
							const gchar* _tmp37_;
							const gchar* _tmp38_;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp34_ = auth;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp35_ = widget;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp36_ = _tmp35_->widget;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp37_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp36_, gtk_entry_get_type (), GtkEntry));
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp38_ = _tmp37_;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_authentication_set_user (_tmp34_, _tmp38_);
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1443 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label2) ? _tmp25_label2 : (_tmp25_label2 = g_quark_from_static_string ("email_entry")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1449 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp39_;
							MayaPlacementWidget* _tmp40_;
							GtkWidget* _tmp41_;
							const gchar* _tmp42_;
							const gchar* _tmp43_;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp39_ = webdav;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp40_ = widget;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp41_ = _tmp40_->widget;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp42_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, gtk_entry_get_type (), GtkEntry));
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp43_ = _tmp42_;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_email_address (_tmp39_, _tmp43_);
#line 196 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1471 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label3) ? _tmp25_label3 : (_tmp25_label3 = g_quark_from_static_string ("server_checkbutton")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1477 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp44_;
							MayaPlacementWidget* _tmp45_;
							GtkWidget* _tmp46_;
							gboolean _tmp47_;
							gboolean _tmp48_;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp44_ = webdav;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp45_ = widget;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp46_ = _tmp45_->widget;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp47_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp46_, gtk_check_button_get_type (), GtkCheckButton));
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp48_ = _tmp47_;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_calendar_auto_schedule (_tmp44_, _tmp48_);
#line 199 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1499 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label4) ? _tmp25_label4 : (_tmp25_label4 = g_quark_from_static_string ("keep_copy")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1505 "CalDAVBackend.c"
						default:
						{
							ESourceOffline* _tmp49_;
							MayaPlacementWidget* _tmp50_;
							GtkWidget* _tmp51_;
							gboolean _tmp52_;
							gboolean _tmp53_;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp49_ = offline;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp50_ = widget;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp51_ = _tmp50_->widget;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp52_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp51_, gtk_check_button_get_type (), GtkCheckButton));
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp53_ = _tmp52_;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_offline_set_stay_synchronized (_tmp49_, _tmp53_);
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1527 "CalDAVBackend.c"
						}
					}
				}
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (widget);
#line 1533 "CalDAVBackend.c"
			}
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (_widget_it);
#line 1537 "CalDAVBackend.c"
		}
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp54_ = source;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_write (_tmp54_, NULL, NULL, NULL);
#line 207 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp55_ = set_default;
#line 207 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp55_) {
#line 1547 "CalDAVBackend.c"
			ESourceRegistry* registry = NULL;
			ESourceRegistry* _tmp56_;
			ESourceRegistry* _tmp57_;
			ESource* _tmp58_;
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp56_ = e_source_registry_new_sync (NULL, &_inner_error_);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			registry = _tmp56_;
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (offline);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (auth);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (webdav);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (cal);
#line 1566 "CalDAVBackend.c"
				goto __catch1_g_error;
			}
#line 209 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp57_ = registry;
#line 209 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp58_ = source;
#line 209 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			g_object_set (_tmp57_, "default-calendar", _tmp58_, NULL);
#line 207 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (registry);
#line 1577 "CalDAVBackend.c"
		}
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (offline);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (cal);
#line 1587 "CalDAVBackend.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp59_;
		const gchar* _tmp60_;
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_error_ = _inner_error_;
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_inner_error_ = NULL;
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp59_ = _error_;
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp60_ = _tmp59_->message;
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("CalDAVBackend.vala:213: %s", _tmp60_);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_error_free0 (_error_);
#line 1607 "CalDAVBackend.c"
	}
	__finally1:
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_clear_error (&_inner_error_);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		return;
#line 1618 "CalDAVBackend.c"
	}
}


static void maya_cal_dav_backend_class_init (MayaCalDavBackendClass * klass) {
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	maya_cal_dav_backend_parent_class = g_type_class_peek_parent (klass);
#line 1626 "CalDAVBackend.c"
}


static void maya_cal_dav_backend_maya_backend_interface_init (MayaBackendIface * iface) {
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	maya_cal_dav_backend_maya_backend_parent_iface = g_type_interface_peek_parent (iface);
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_name = (gchar* (*) (MayaBackend *)) maya_cal_dav_backend_real_get_name;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_uid = (gchar* (*) (MayaBackend *)) maya_cal_dav_backend_real_get_uid;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_new_calendar_widget = (GeeCollection* (*) (MayaBackend *, ESource*)) maya_cal_dav_backend_real_get_new_calendar_widget;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->add_new_calendar = (void (*) (MayaBackend *, const gchar*, const gchar*, gboolean, GeeCollection*)) maya_cal_dav_backend_real_add_new_calendar;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->modify_calendar = (void (*) (MayaBackend *, const gchar*, const gchar*, gboolean, GeeCollection*, ESource*)) maya_cal_dav_backend_real_modify_calendar;
#line 1643 "CalDAVBackend.c"
}


static void maya_cal_dav_backend_instance_init (MayaCalDavBackend * self) {
}


GType maya_cal_dav_backend_get_type (void) {
	static volatile gsize maya_cal_dav_backend_type_id__volatile = 0;
	if (g_once_init_enter (&maya_cal_dav_backend_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaCalDavBackendClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_cal_dav_backend_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaCalDavBackend), 0, (GInstanceInitFunc) maya_cal_dav_backend_instance_init, NULL };
		static const GInterfaceInfo maya_backend_info = { (GInterfaceInitFunc) maya_cal_dav_backend_maya_backend_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType maya_cal_dav_backend_type_id;
		maya_cal_dav_backend_type_id = g_type_register_static (G_TYPE_OBJECT, "MayaCalDavBackend", &g_define_type_info, 0);
		g_type_add_interface_static (maya_cal_dav_backend_type_id, MAYA_TYPE_BACKEND, &maya_backend_info);
		g_once_init_leave (&maya_cal_dav_backend_type_id__volatile, maya_cal_dav_backend_type_id);
	}
	return maya_cal_dav_backend_type_id__volatile;
}



