/* SourceDialog.c generated by valac 0.36.4, the Vala compiler
 * generated from SourceDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2011-2015 Maya Developers (http://launchpad.net/maya)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Jaap Broekhuizen
 *              Corentin Noël <corentin@elementaryos.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <maya-calendar.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <libedataserver/libedataserver.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>
#include <float.h>
#include <math.h>


#define MAYA_VIEW_TYPE_SOURCE_DIALOG (maya_view_source_dialog_get_type ())
#define MAYA_VIEW_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog))
#define MAYA_VIEW_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))
#define MAYA_VIEW_IS_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_IS_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_SOURCE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))

typedef struct _MayaViewSourceDialog MayaViewSourceDialog;
typedef struct _MayaViewSourceDialogClass MayaViewSourceDialogClass;
typedef struct _MayaViewSourceDialogPrivate MayaViewSourceDialogPrivate;

#define MAYA_VIEW_TYPE_EVENT_TYPE (maya_view_event_type_get_type ())
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block24Data Block24Data;
enum  {
	MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL,
	MAYA_VIEW_SOURCE_DIALOG_LAST_SIGNAL
};
static guint maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_LAST_SIGNAL] = {0};

struct _MayaViewSourceDialog {
	GtkGrid parent_instance;
	MayaViewSourceDialogPrivate * priv;
};

struct _MayaViewSourceDialogClass {
	GtkGridClass parent_class;
};

typedef enum  {
	MAYA_VIEW_EVENT_TYPE_ADD,
	MAYA_VIEW_EVENT_TYPE_EDIT
} MayaViewEventType;

struct _MayaViewSourceDialogPrivate {
	MayaViewEventType _event_type;
	GtkEntry* name_entry;
	GtkColorButton* color_button;
	gboolean set_as_default;
	MayaBackend* current_backend;
	GeeCollection* backend_widgets;
	GtkGrid* main_grid;
	GeeHashMap* widgets_checked;
	GtkButton* create_button;
	GtkComboBox* type_combobox;
	GtkListStore* list_store;
	ESource* source;
};

struct _Block24Data {
	int _ref_count_;
	MayaViewSourceDialog* self;
	MayaPlacementWidget* widget;
};


static gpointer maya_view_source_dialog_parent_class = NULL;

GType maya_view_source_dialog_get_type (void) G_GNUC_CONST;
GType maya_view_event_type_get_type (void) G_GNUC_CONST;
#define MAYA_VIEW_SOURCE_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogPrivate))
enum  {
	MAYA_VIEW_SOURCE_DIALOG_DUMMY_PROPERTY,
	MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE
};
MayaViewSourceDialog* maya_view_source_dialog_new (void);
MayaViewSourceDialog* maya_view_source_dialog_construct (GType object_type);
void maya_view_source_dialog_save (MayaViewSourceDialog* self);
static void _maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda29_ (MayaViewSourceDialog* self);
static void ___lambda29__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda30_ (MayaViewSourceDialog* self);
static void maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self);
static void ___lambda30__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void __lambda31_ (MayaViewSourceDialog* self);
static void maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self);
static void maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self);
static void ___lambda31__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda33_ (MayaViewSourceDialog* self);
static void ___lambda33__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
void maya_view_source_dialog_set_source (MayaViewSourceDialog* self, ESource* source);
static void maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self, MayaViewEventType value);
static gboolean maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static gboolean _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
static Block24Data* block24_data_ref (Block24Data* _data24_);
static void block24_data_unref (void * _userdata_);
static void _____lambda32_ (Block24Data* _data24_);
static void maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self, MayaPlacementWidget* widget);
static void ______lambda32__gtk_editable_changed (GtkEditable* _sender, gpointer self);
MayaViewEventType maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self);
static void maya_view_source_dialog_finalize (GObject * obj);
static void _vala_maya_view_source_dialog_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_maya_view_source_dialog_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void _maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_save ((MayaViewSourceDialog*) self);
#line 139 "SourceDialog.c"
}


static void __lambda29_ (MayaViewSourceDialog* self) {
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 146 "SourceDialog.c"
}


static void ___lambda29__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	__lambda29_ ((MayaViewSourceDialog*) self);
#line 153 "SourceDialog.c"
}


static void __lambda30_ (MayaViewSourceDialog* self) {
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 160 "SourceDialog.c"
}


static void ___lambda30__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	__lambda30_ ((MayaViewSourceDialog*) self);
#line 167 "SourceDialog.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 174 "SourceDialog.c"
}


static void __lambda31_ (MayaViewSourceDialog* self) {
	GValue backend = {0};
	GtkTreeIter b_iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_;
	GtkTreeIter _tmp3_;
	GValue _tmp4_ = {0};
	GValue _tmp5_;
	MayaBackend* _tmp6_;
	GValue _tmp7_;
	ESource* _tmp8_;
	GeeCollection* _tmp9_;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->type_combobox;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	b_iter = _tmp1_;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->list_store;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp3_ = b_iter;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	backend = _tmp4_;
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp5_ = backend;
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp6_ = _g_object_ref0 (g_value_get_object (&_tmp5_));
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->current_backend = _tmp6_;
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_remove_backend_widgets (self);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp7_ = backend;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp9_ = maya_backend_get_new_calendar_widget (g_value_get_object (&_tmp7_), _tmp8_);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->backend_widgets = _tmp9_;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_add_backend_widgets (self);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 231 "SourceDialog.c"
}


static void ___lambda31__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	__lambda31_ ((MayaViewSourceDialog*) self);
#line 238 "SourceDialog.c"
}


static void __lambda33_ (MayaViewSourceDialog* self) {
	gboolean _tmp0_;
#line 126 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->set_as_default;
#line 126 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->set_as_default = !_tmp0_;
#line 248 "SourceDialog.c"
}


static void ___lambda33__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	__lambda33_ ((MayaViewSourceDialog*) self);
#line 255 "SourceDialog.c"
}


MayaViewSourceDialog* maya_view_source_dialog_construct (GType object_type) {
	MayaViewSourceDialog * self = NULL;
	GeeHashMap* _tmp0_;
	GtkGrid* _tmp1_;
	GtkGrid* _tmp2_;
	GtkGrid* _tmp3_;
	GtkButtonBox* buttonbox = NULL;
	GtkButtonBox* _tmp4_;
	GtkButtonBox* _tmp5_;
	GtkButton* cancel_button = NULL;
	GtkButton* _tmp6_;
	GtkButton* _tmp7_;
	GtkButton* _tmp8_;
	GtkButton* _tmp9_;
	GtkButton* _tmp10_;
	GtkButtonBox* _tmp11_;
	GtkButton* _tmp12_;
	GtkButtonBox* _tmp13_;
	GtkButton* _tmp14_;
	GtkLabel* name_label = NULL;
	GtkLabel* _tmp15_;
	GtkLabel* _tmp16_;
	GtkEntry* _tmp17_;
	GtkEntry* _tmp18_;
	GtkEntry* _tmp19_;
	GtkListStore* _tmp20_;
	GtkListStore* _tmp21_;
	GtkComboBox* _tmp22_;
	GtkCellRendererText* renderer = NULL;
	GtkCellRendererText* _tmp23_;
	GtkComboBox* _tmp24_;
	GtkCellRendererText* _tmp25_;
	GtkComboBox* _tmp26_;
	GtkCellRendererText* _tmp27_;
	GtkComboBox* _tmp28_;
	GtkLabel* type_label = NULL;
	GtkLabel* _tmp29_;
	GtkLabel* _tmp30_;
	GtkTreeIter iter = {0};
	MayaBackendsManager* backends_manager = NULL;
	MayaBackendsManager* _tmp31_;
	MayaBackendsManager* _tmp53_;
	GeeArrayList* _tmp54_;
	gint _tmp55_;
	gint _tmp56_;
	GtkComboBox* _tmp59_;
	GdkRGBA rgba = {0};
	GtkLabel* color_label = NULL;
	GtkLabel* _tmp60_;
	GdkRGBA _tmp61_;
	GtkColorButton* _tmp62_;
	GtkColorButton* _tmp63_;
	GtkCheckButton* check_button = NULL;
	GtkCheckButton* _tmp64_;
	GtkGrid* _tmp65_;
	GtkLabel* _tmp66_;
	GtkGrid* _tmp67_;
	GtkComboBox* _tmp68_;
	GtkGrid* _tmp69_;
	GtkLabel* _tmp70_;
	GtkGrid* _tmp71_;
	GtkEntry* _tmp72_;
	GtkGrid* _tmp73_;
	GtkGrid* _tmp74_;
	GtkColorButton* _tmp75_;
	GtkGrid* _tmp76_;
	GtkGrid* _tmp77_;
	GtkGrid* fake_label = NULL;
	GtkGrid* _tmp78_;
	GtkButtonBox* _tmp79_;
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self = (MayaViewSourceDialog*) g_object_new (object_type, NULL);
#line 40 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_BOOLEAN, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 40 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 40 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->widgets_checked = _tmp0_;
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->main_grid = _tmp1_;
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->main_grid;
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing (_tmp2_, (guint) 6);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp3_ = self->priv->main_grid;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing (_tmp3_, (guint) 12);
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_margin_start ((GtkWidget*) self, 6);
#line 47 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_margin_end ((GtkWidget*) self, 6);
#line 48 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) self, 6);
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, (guint) 6);
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, (guint) 12);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp4_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	buttonbox = _tmp4_;
#line 56 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp5_ = buttonbox;
#line 56 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_button_box_set_layout (_tmp5_, GTK_BUTTONBOX_END);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp6_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp6_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	cancel_button = _tmp6_;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp7_ = cancel_button;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp7_, 6);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp8_ = (GtkButton*) gtk_button_new_with_label (_ ("Create"));
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->create_button = _tmp8_;
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp9_ = self->priv->create_button;
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp9_, "clicked", (GCallback) _maya_view_source_dialog_save_gtk_button_clicked, self, 0);
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp10_ = cancel_button;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp10_, "clicked", (GCallback) ___lambda29__gtk_button_clicked, self, 0);
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp11_ = buttonbox;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp12_ = cancel_button;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp11_, (GtkWidget*) _tmp12_, TRUE, TRUE, (guint) 0);
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp13_ = buttonbox;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp14_ = self->priv->create_button;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp13_, (GtkWidget*) _tmp14_, TRUE, TRUE, (guint) 0);
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp15_ = (GtkLabel*) gtk_label_new (_ ("Name:"));
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp15_);
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	name_label = _tmp15_;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp16_ = name_label;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, gtk_misc_get_type (), GtkMisc), "xalign", 1.0f, NULL);
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp17_ = (GtkEntry*) gtk_entry_new ();
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp17_);
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->name_entry = _tmp17_;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp18_ = self->priv->name_entry;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_entry_set_placeholder_text (_tmp18_, _ ("Calendar Name"));
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp19_ = self->priv->name_entry;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp19_, "changed", (GCallback) ___lambda30__gtk_editable_changed, self, 0);
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp20_ = gtk_list_store_new (2, G_TYPE_STRING, MAYA_TYPE_BACKEND, -1);
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->list_store = _tmp20_;
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp21_ = self->priv->list_store;
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp22_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp21_);
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp22_);
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->type_combobox = _tmp22_;
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp23_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp23_);
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	renderer = _tmp23_;
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp24_ = self->priv->type_combobox;
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp25_ = renderer;
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp24_, (GtkCellRenderer*) _tmp25_, TRUE);
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp26_ = self->priv->type_combobox;
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp27_ = renderer;
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp26_, (GtkCellRenderer*) _tmp27_, "text", 0);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp28_ = self->priv->type_combobox;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp28_, "changed", (GCallback) ___lambda31__gtk_combo_box_changed, self, 0);
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp29_ = (GtkLabel*) gtk_label_new (_ ("Type:"));
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp29_);
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	type_label = _tmp29_;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp30_ = type_label;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp30_, gtk_misc_get_type (), GtkMisc), "xalign", 1.0f, NULL);
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp31_ = maya_backends_manager_get_default ();
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	backends_manager = _tmp31_;
#line 491 "SourceDialog.c"
	{
		GeeArrayList* _backend_list = NULL;
		MayaBackendsManager* _tmp32_;
		GeeArrayList* _tmp33_;
		GeeArrayList* _tmp34_;
		gint _backend_size = 0;
		GeeArrayList* _tmp35_;
		gint _tmp36_;
		gint _tmp37_;
		gint _backend_index = 0;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp32_ = backends_manager;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp33_ = _tmp32_->backends;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp34_ = _g_object_ref0 (_tmp33_);
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_backend_list = _tmp34_;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp35_ = _backend_list;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp36_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp35_);
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp37_ = _tmp36_;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_backend_size = _tmp37_;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_backend_index = -1;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 522 "SourceDialog.c"
			gint _tmp38_;
			gint _tmp39_;
			gint _tmp40_;
			MayaBackend* backend = NULL;
			GeeArrayList* _tmp41_;
			gint _tmp42_;
			gpointer _tmp43_;
			MayaBackend* _tmp44_;
			GtkListStore* _tmp45_;
			GtkTreeIter _tmp46_ = {0};
			GtkListStore* _tmp47_;
			GtkTreeIter _tmp48_;
			MayaBackend* _tmp49_;
			gchar* _tmp50_;
			gchar* _tmp51_;
			MayaBackend* _tmp52_;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp38_ = _backend_index;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_backend_index = _tmp38_ + 1;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp39_ = _backend_index;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp40_ = _backend_size;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			if (!(_tmp39_ < _tmp40_)) {
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				break;
#line 551 "SourceDialog.c"
			}
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp41_ = _backend_list;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp42_ = _backend_index;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp43_ = gee_abstract_list_get ((GeeAbstractList*) _tmp41_, _tmp42_);
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp44_ = _g_object_ref0 ((MayaBackend*) _tmp43_);
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			backend = _tmp44_;
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp45_ = self->priv->list_store;
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			gtk_list_store_append (_tmp45_, &_tmp46_);
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			iter = _tmp46_;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp47_ = self->priv->list_store;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp48_ = iter;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp49_ = backend;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp50_ = maya_backend_get_name (_tmp49_);
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp51_ = _tmp50_;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp52_ = backend;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			gtk_list_store_set (_tmp47_, &_tmp48_, 0, _tmp51_, 1, _tmp52_, -1);
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_g_free0 (_tmp51_);
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (backend);
#line 587 "SourceDialog.c"
		}
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_backend_list);
#line 591 "SourceDialog.c"
	}
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp53_ = backends_manager;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp54_ = _tmp53_->backends;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp55_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp54_);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp56_ = _tmp55_;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (_tmp56_ <= 1) {
#line 603 "SourceDialog.c"
		GtkComboBox* _tmp57_;
		GtkLabel* _tmp58_;
#line 106 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp57_ = self->priv->type_combobox;
#line 106 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp57_, TRUE);
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp58_ = type_label;
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp58_, TRUE);
#line 614 "SourceDialog.c"
	}
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp59_ = self->priv->type_combobox;
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_set_active (_tmp59_, 0);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	memset (&rgba, 0, sizeof (GdkRGBA));
#line 114 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	rgba.red = 0.13;
#line 115 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	rgba.green = 0.42;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	rgba.blue = 0.70;
#line 117 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	rgba.alpha = (gdouble) 1;
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp60_ = (GtkLabel*) gtk_label_new (_ ("Color:"));
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp60_);
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	color_label = _tmp60_;
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (color_label, gtk_misc_get_type (), GtkMisc), "xalign", 1.0f, NULL);
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp61_ = rgba;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp62_ = (GtkColorButton*) gtk_color_button_new_with_rgba (&_tmp61_);
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp62_);
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button);
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->color_button = _tmp62_;
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp63_ = self->priv->color_button;
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_color_button_set_use_alpha (_tmp63_, FALSE);
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp64_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Mark as default calendar"));
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp64_);
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	check_button = _tmp64_;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) check_button, "toggled", (GCallback) ___lambda33__gtk_toggle_button_toggled, self, 0);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp65_ = self->priv->main_grid;
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp66_ = type_label;
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp65_, (GtkWidget*) _tmp66_, 0, 0, 1, 1);
#line 130 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp67_ = self->priv->main_grid;
#line 130 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp68_ = self->priv->type_combobox;
#line 130 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp67_, (GtkWidget*) _tmp68_, 1, 0, 1, 1);
#line 131 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp69_ = self->priv->main_grid;
#line 131 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp70_ = name_label;
#line 131 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp69_, (GtkWidget*) _tmp70_, 0, 1, 1, 1);
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp71_ = self->priv->main_grid;
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp72_ = self->priv->name_entry;
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp71_, (GtkWidget*) _tmp72_, 1, 1, 1, 1);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp73_ = self->priv->main_grid;
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp73_, (GtkWidget*) color_label, 0, 2, 1, 1);
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp74_ = self->priv->main_grid;
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp75_ = self->priv->color_button;
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp74_, (GtkWidget*) _tmp75_, 1, 2, 1, 1);
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp76_ = self->priv->main_grid;
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp76_, (GtkWidget*) check_button, 1, 3, 1, 1);
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp77_ = self->priv->main_grid;
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp77_, 0, 0, 2, 1);
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp78_ = (GtkGrid*) gtk_grid_new ();
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp78_);
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	fake_label = _tmp78_;
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_set ((GtkWidget*) fake_label, "expand", TRUE, NULL);
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) fake_label, 0, 1, 2, 1);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp79_ = buttonbox;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp79_, 0, 2, 2, 1);
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (fake_label);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (check_button);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_label);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (backends_manager);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (type_label);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (renderer);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (name_label);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (cancel_button);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (buttonbox);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	return self;
#line 738 "SourceDialog.c"
}


MayaViewSourceDialog* maya_view_source_dialog_new (void) {
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	return maya_view_source_dialog_construct (MAYA_VIEW_TYPE_SOURCE_DIALOG);
#line 745 "SourceDialog.c"
}


static gboolean _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = maya_view_source_dialog_tree_foreach ((MayaViewSourceDialog*) self, model, path, iter);
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	return result;
#line 754 "SourceDialog.c"
}


void maya_view_source_dialog_set_source (MayaViewSourceDialog* self, ESource* source) {
	ESource* _tmp0_;
	ESource* _tmp1_;
	ESource* _tmp2_;
#line 147 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 148 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = source;
#line 148 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 148 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 148 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->source = _tmp1_;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp2_ = source;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (_tmp2_ == NULL) {
#line 776 "SourceDialog.c"
		GtkEntry* _tmp3_;
		GtkComboBox* _tmp4_;
		GtkButton* _tmp5_;
		GdkRGBA rgba = {0};
		GtkColorButton* _tmp6_;
		GdkRGBA _tmp7_;
#line 150 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_ADD);
#line 151 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp3_ = self->priv->name_entry;
#line 151 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp3_, "");
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp4_ = self->priv->type_combobox;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, TRUE);
#line 153 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->create_button;
#line 153 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp5_, _ ("Create Calendar"));
#line 154 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		memset (&rgba, 0, sizeof (GdkRGBA));
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		rgba.red = 0.13;
#line 156 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		rgba.green = 0.42;
#line 157 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		rgba.blue = 0.70;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		rgba.alpha = (gdouble) 1;
#line 159 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp6_ = self->priv->color_button;
#line 159 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp7_ = rgba;
#line 159 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_color_chooser_set_rgba ((GtkColorChooser*) _tmp6_, &_tmp7_);
#line 813 "SourceDialog.c"
	} else {
		GtkButton* _tmp8_;
		GtkEntry* _tmp9_;
		ESource* _tmp10_;
		const gchar* _tmp11_;
		const gchar* _tmp12_;
		GtkComboBox* _tmp13_;
		GtkComboBox* _tmp14_;
		GtkListStore* _tmp15_;
		ESourceCalendar* cal = NULL;
		ESource* _tmp16_;
		ESourceExtension* _tmp17_;
		ESourceCalendar* _tmp18_;
		GdkRGBA rgba = {0};
		ESourceCalendar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		GtkColorButton* _tmp22_;
		GdkRGBA _tmp23_;
#line 161 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_EDIT);
#line 162 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp8_ = self->priv->create_button;
#line 162 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp8_, _ ("Save"));
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp9_ = self->priv->name_entry;
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp10_ = source;
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp11_ = e_source_get_display_name (_tmp10_);
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp12_ = _tmp11_;
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp9_, _tmp12_);
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp13_ = self->priv->type_combobox;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp13_, FALSE);
#line 165 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->type_combobox;
#line 165 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active (_tmp14_, 0);
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp15_ = self->priv->list_store;
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp15_, _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func, self);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp16_ = source;
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp17_ = e_source_get_extension (_tmp16_, E_SOURCE_EXTENSION_CALENDAR);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp18_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, e_source_calendar_get_type (), ESourceCalendar));
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		cal = _tmp18_;
#line 168 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		memset (&rgba, 0, sizeof (GdkRGBA));
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp19_ = cal;
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp20_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp19_);
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp21_ = _tmp20_;
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gdk_rgba_parse (&rgba, _tmp21_);
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_free0 (_tmp21_);
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp22_ = self->priv->color_button;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp23_ = rgba;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_color_chooser_set_rgba ((GtkColorChooser*) _tmp22_, &_tmp23_);
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (cal);
#line 889 "SourceDialog.c"
	}
}


static gboolean maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	GValue backend = {0};
	GtkListStore* _tmp0_;
	GtkTreeIter _tmp1_;
	GValue _tmp2_ = {0};
	MayaBackend* current_backend = NULL;
	GValue _tmp3_;
	MayaBackend* _tmp4_;
	MayaBackend* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	ESource* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gboolean _tmp11_;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 176 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->list_store;
#line 176 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp1_ = *iter;
#line 176 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp0_, &_tmp1_, 1, &_tmp2_);
#line 176 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 176 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	backend = _tmp2_;
#line 177 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp3_ = backend;
#line 177 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp4_ = _g_object_ref0 (g_value_get_object (&_tmp3_));
#line 177 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	current_backend = _tmp4_;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp5_ = current_backend;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp6_ = maya_backend_get_uid (_tmp5_);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp7_ = _tmp6_;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp9_ = e_source_dup_parent (_tmp8_);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp10_ = _tmp9_;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp11_ = g_strcmp0 (_tmp7_, _tmp10_) == 0;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp10_);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp7_);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (_tmp11_) {
#line 954 "SourceDialog.c"
		GtkComboBox* _tmp12_;
		GtkTreeIter _tmp13_;
		GtkComboBox* _tmp14_;
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->type_combobox;
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp13_ = *iter;
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active_iter (_tmp12_, &_tmp13_);
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->type_combobox;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, TRUE);
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		result = TRUE;
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (current_backend);
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		return result;
#line 976 "SourceDialog.c"
	}
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	result = FALSE;
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (current_backend);
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	return result;
#line 986 "SourceDialog.c"
}


static void maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self) {
	GeeCollection* _tmp0_;
	GeeCollection* _tmp11_;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 188 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->backend_widgets;
#line 188 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == NULL) {
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		return;
#line 1001 "SourceDialog.c"
	}
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 1015 "SourceDialog.c"
			GeeIterator* _tmp3_;
			gboolean _tmp4_;
			MayaPlacementWidget* widget = NULL;
			GeeIterator* _tmp5_;
			gpointer _tmp6_;
			MayaPlacementWidget* _tmp7_;
			GtkWidget* _tmp8_;
			MayaPlacementWidget* _tmp9_;
			GtkWidget* _tmp10_;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp4_ = gee_iterator_next (_tmp3_);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			if (!_tmp4_) {
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				break;
#line 1033 "SourceDialog.c"
			}
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp5_ = _widget_it;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp6_ = gee_iterator_get (_tmp5_);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			widget = (MayaPlacementWidget*) _tmp6_;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp7_ = widget;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp8_ = _tmp7_->widget;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			gtk_widget_hide (_tmp8_);
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp9_ = widget;
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp10_ = _tmp9_->widget;
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			gtk_widget_destroy (_tmp10_);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (widget);
#line 1055 "SourceDialog.c"
		}
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 1059 "SourceDialog.c"
	}
#line 196 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp11_ = self->priv->backend_widgets;
#line 196 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gee_collection_clear (_tmp11_);
#line 1065 "SourceDialog.c"
}


static Block24Data* block24_data_ref (Block24Data* _data24_) {
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_atomic_int_inc (&_data24_->_ref_count_);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	return _data24_;
#line 1074 "SourceDialog.c"
}


static void block24_data_unref (void * _userdata_) {
	Block24Data* _data24_;
	_data24_ = (Block24Data*) _userdata_;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (g_atomic_int_dec_and_test (&_data24_->_ref_count_)) {
#line 1083 "SourceDialog.c"
		MayaViewSourceDialog* self;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		self = _data24_->self;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_data24_->widget);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (self);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		g_slice_free (Block24Data, _data24_);
#line 1093 "SourceDialog.c"
	}
}


static void _____lambda32_ (Block24Data* _data24_) {
	MayaViewSourceDialog* self;
	MayaPlacementWidget* _tmp0_;
#line 205 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self = _data24_->self;
#line 205 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = _data24_->widget;
#line 205 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_entry_changed (self, _tmp0_);
#line 1107 "SourceDialog.c"
}


static void ______lambda32__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 205 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_____lambda32_ (self);
#line 1114 "SourceDialog.c"
}


static void maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self) {
	GeeHashMap* _tmp0_;
#line 199 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 200 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 200 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 1126 "SourceDialog.c"
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 1139 "SourceDialog.c"
			Block24Data* _data24_;
			GeeIterator* _tmp3_;
			gboolean _tmp4_;
			GeeIterator* _tmp5_;
			gpointer _tmp6_;
			GtkGrid* _tmp7_;
			MayaPlacementWidget* _tmp8_;
			GtkWidget* _tmp9_;
			MayaPlacementWidget* _tmp10_;
			gint _tmp11_;
			MayaPlacementWidget* _tmp12_;
			gint _tmp13_;
			gboolean _tmp14_ = FALSE;
			MayaPlacementWidget* _tmp15_;
			gboolean _tmp16_;
			MayaPlacementWidget* _tmp30_;
			GtkWidget* _tmp31_;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_data24_ = g_slice_new0 (Block24Data);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_data24_->_ref_count_ = 1;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_data24_->self = g_object_ref (self);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp4_ = gee_iterator_next (_tmp3_);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			if (!_tmp4_) {
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				block24_data_unref (_data24_);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_data24_ = NULL;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				break;
#line 1175 "SourceDialog.c"
			}
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp5_ = _widget_it;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp6_ = gee_iterator_get (_tmp5_);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_data24_->widget = (MayaPlacementWidget*) _tmp6_;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp7_ = self->priv->main_grid;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp8_ = _data24_->widget;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp9_ = _tmp8_->widget;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp10_ = _data24_->widget;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp11_ = _tmp10_->column;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp12_ = _data24_->widget;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp13_ = _tmp12_->row;
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			gtk_grid_attach (_tmp7_, _tmp9_, _tmp11_, 4 + _tmp13_, 1, 1);
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp15_ = _data24_->widget;
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp16_ = _tmp15_->needed;
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			if (_tmp16_ == TRUE) {
#line 1205 "SourceDialog.c"
				MayaPlacementWidget* _tmp17_;
				GtkWidget* _tmp18_;
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp17_ = _data24_->widget;
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp18_ = _tmp17_->widget;
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp14_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp18_, gtk_entry_get_type ());
#line 1214 "SourceDialog.c"
			} else {
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp14_ = FALSE;
#line 1218 "SourceDialog.c"
			}
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			if (_tmp14_) {
#line 1222 "SourceDialog.c"
				GtkEntry* entry = NULL;
				MayaPlacementWidget* _tmp19_;
				GtkWidget* _tmp20_;
				GtkEntry* _tmp21_;
				GtkEntry* _tmp22_;
				GeeHashMap* _tmp23_;
				MayaPlacementWidget* _tmp24_;
				const gchar* _tmp25_;
				MayaPlacementWidget* _tmp26_;
				GtkWidget* _tmp27_;
				const gchar* _tmp28_;
				const gchar* _tmp29_;
#line 204 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp19_ = _data24_->widget;
#line 204 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp20_ = _tmp19_->widget;
#line 204 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp21_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp20_, gtk_entry_get_type ()) ? ((GtkEntry*) _tmp20_) : NULL);
#line 204 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				entry = _tmp21_;
#line 205 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp22_ = entry;
#line 205 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				g_signal_connect_data ((GtkEditable*) _tmp22_, "changed", (GCallback) ______lambda32__gtk_editable_changed, block24_data_ref (_data24_), (GClosureNotify) block24_data_unref, 0);
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp23_ = self->priv->widgets_checked;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp24_ = _data24_->widget;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp25_ = _tmp24_->ref_name;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp26_ = _data24_->widget;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp27_ = _tmp26_->widget;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp28_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp27_, gtk_entry_get_type (), GtkEntry));
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp29_ = _tmp28_;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				gee_abstract_map_set ((GeeAbstractMap*) _tmp23_, _tmp25_, (gpointer) ((gintptr) (g_strcmp0 (_tmp29_, "") != 0)));
#line 203 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (entry);
#line 1265 "SourceDialog.c"
			}
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp30_ = _data24_->widget;
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp31_ = _tmp30_->widget;
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			gtk_widget_show (_tmp31_);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			block24_data_unref (_data24_);
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_data24_ = NULL;
#line 1277 "SourceDialog.c"
		}
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 1281 "SourceDialog.c"
	}
#line 210 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 1285 "SourceDialog.c"
}


static gchar* string_chug (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1226 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1227 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1227 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1228 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1228 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_strchug (_tmp1_);
#line 1229 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _result_;
#line 1229 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 1308 "SourceDialog.c"
}


static void maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self, MayaPlacementWidget* widget) {
	GeeHashMap* _tmp0_;
	MayaPlacementWidget* _tmp1_;
	const gchar* _tmp2_;
	GeeHashMap* _tmp3_;
	MayaPlacementWidget* _tmp4_;
	const gchar* _tmp5_;
	MayaPlacementWidget* _tmp6_;
	GtkWidget* _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gint _tmp12_;
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (widget != NULL);
#line 214 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 214 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp1_ = widget;
#line 214 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp2_ = _tmp1_->ref_name;
#line 214 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_unset ((GeeAbstractMap*) _tmp0_, _tmp2_, NULL);
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp3_ = self->priv->widgets_checked;
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp4_ = widget;
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp5_ = _tmp4_->ref_name;
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp6_ = widget;
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp7_ = _tmp6_->widget;
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp8_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, gtk_entry_get_type (), GtkEntry));
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp9_ = _tmp8_;
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp10_ = string_chug (_tmp9_);
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp11_ = _tmp10_;
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp12_ = g_utf8_strlen (_tmp11_, (gssize) -1);
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp3_, _tmp5_, (gpointer) ((gintptr) (_tmp12_ > 0)));
#line 215 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp11_);
#line 216 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 1364 "SourceDialog.c"
}


static void maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self) {
	GtkEntry* _tmp12_;
	const gchar* _tmp13_;
	const gchar* _tmp14_;
#line 219 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 1374 "SourceDialog.c"
	{
		GeeIterator* _valid_it = NULL;
		GeeHashMap* _tmp0_;
		GeeCollection* _tmp1_;
		GeeCollection* _tmp2_;
		GeeCollection* _tmp3_;
		GeeIterator* _tmp4_;
		GeeIterator* _tmp5_;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp0_ = self->priv->widgets_checked;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp1_ = gee_abstract_map_get_values ((GeeAbstractMap*) _tmp0_);
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp2_ = _tmp1_;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp3_ = _tmp2_;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp5_ = _tmp4_;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_tmp3_);
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_valid_it = _tmp5_;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 1401 "SourceDialog.c"
			GeeIterator* _tmp6_;
			gboolean _tmp7_;
			gboolean valid = FALSE;
			GeeIterator* _tmp8_;
			gpointer _tmp9_;
			gboolean _tmp10_;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp6_ = _valid_it;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp7_ = gee_iterator_next (_tmp6_);
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			if (!_tmp7_) {
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				break;
#line 1416 "SourceDialog.c"
			}
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp8_ = _valid_it;
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp9_ = gee_iterator_get (_tmp8_);
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			valid = (gboolean) ((gintptr) _tmp9_);
#line 221 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			_tmp10_ = valid;
#line 221 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
			if (_tmp10_ == FALSE) {
#line 1428 "SourceDialog.c"
				GtkButton* _tmp11_;
#line 222 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_tmp11_ = self->priv->create_button;
#line 222 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				gtk_widget_set_sensitive ((GtkWidget*) _tmp11_, FALSE);
#line 223 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (_valid_it);
#line 223 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
				return;
#line 1438 "SourceDialog.c"
			}
		}
#line 220 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_valid_it);
#line 1443 "SourceDialog.c"
	}
#line 227 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp12_ = self->priv->name_entry;
#line 227 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp13_ = gtk_entry_get_text (_tmp12_);
#line 227 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp14_ = _tmp13_;
#line 227 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (g_strcmp0 (_tmp14_, "") != 0) {
#line 1453 "SourceDialog.c"
		GtkButton* _tmp15_;
#line 228 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp15_ = self->priv->create_button;
#line 228 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp15_, TRUE);
#line 1459 "SourceDialog.c"
	}
}


void maya_view_source_dialog_save (MayaViewSourceDialog* self) {
	MayaViewEventType _tmp0_;
#line 232 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 233 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->_event_type;
#line 233 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == MAYA_VIEW_EVENT_TYPE_ADD) {
#line 1472 "SourceDialog.c"
		MayaBackend* _tmp1_;
		GtkEntry* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		GtkColorButton* _tmp5_;
		GdkRGBA _tmp6_ = {0};
		GdkRGBA _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gboolean _tmp10_;
		GeeCollection* _tmp11_;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->current_backend;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp2_ = self->priv->name_entry;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp3_ = gtk_entry_get_text (_tmp2_);
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp4_ = _tmp3_;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->color_button;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_color_button_get_rgba (_tmp5_, &_tmp6_);
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp7_ = _tmp6_;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp8_ = maya_util_get_hexa_color (&_tmp7_);
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp9_ = _tmp8_;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp10_ = self->priv->set_as_default;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp11_ = self->priv->backend_widgets;
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		maya_backend_add_new_calendar (_tmp1_, _tmp4_, _tmp9_, _tmp10_, _tmp11_);
#line 234 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_free0 (_tmp9_);
#line 235 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1512 "SourceDialog.c"
	} else {
		MayaBackend* _tmp12_;
		GtkEntry* _tmp13_;
		const gchar* _tmp14_;
		const gchar* _tmp15_;
		GtkColorButton* _tmp16_;
		GdkRGBA _tmp17_ = {0};
		GdkRGBA _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gboolean _tmp21_;
		GeeCollection* _tmp22_;
		ESource* _tmp23_;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->current_backend;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp13_ = self->priv->name_entry;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp14_ = gtk_entry_get_text (_tmp13_);
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp15_ = _tmp14_;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp16_ = self->priv->color_button;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		gtk_color_button_get_rgba (_tmp16_, &_tmp17_);
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp18_ = _tmp17_;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp19_ = maya_util_get_hexa_color (&_tmp18_);
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp20_ = _tmp19_;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp21_ = self->priv->set_as_default;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp22_ = self->priv->backend_widgets;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp23_ = self->priv->source;
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		maya_backend_modify_calendar (_tmp12_, _tmp15_, _tmp20_, _tmp21_, _tmp22_, _tmp23_);
#line 237 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_g_free0 (_tmp20_);
#line 238 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1556 "SourceDialog.c"
	}
}


MayaViewEventType maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self) {
	MayaViewEventType result;
	MayaViewEventType _tmp0_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->_event_type;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	result = _tmp0_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	return result;
#line 1572 "SourceDialog.c"
}


static void maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self, MayaViewEventType value) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	if (maya_view_source_dialog_get_event_type (self) != value) {
#line 1581 "SourceDialog.c"
		MayaViewEventType _tmp0_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		_tmp0_ = value;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		self->priv->_event_type = _tmp0_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		g_object_notify ((GObject *) self, "event-type");
#line 1589 "SourceDialog.c"
	}
}


static void maya_view_source_dialog_class_init (MayaViewSourceDialogClass * klass) {
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_parent_class = g_type_class_peek_parent (klass);
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_type_class_add_private (klass, sizeof (MayaViewSourceDialogPrivate));
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_source_dialog_get_property;
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_source_dialog_set_property;
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_source_dialog_finalize;
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE, g_param_spec_enum ("event-type", "event-type", "event-type", MAYA_VIEW_TYPE_EVENT_TYPE, MAYA_VIEW_EVENT_TYPE_EDIT, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL] = g_signal_new ("go_back", MAYA_VIEW_TYPE_SOURCE_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1609 "SourceDialog.c"
}


static void maya_view_source_dialog_instance_init (MayaViewSourceDialog * self) {
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv = MAYA_VIEW_SOURCE_DIALOG_GET_PRIVATE (self);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->_event_type = MAYA_VIEW_EVENT_TYPE_EDIT;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->set_as_default = FALSE;
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self->priv->source = NULL;
#line 1622 "SourceDialog.c"
}


static void maya_view_source_dialog_finalize (GObject * obj) {
	MayaViewSourceDialog * self;
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button);
#line 28 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 30 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 31 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 33 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (maya_view_source_dialog_parent_class)->finalize (obj);
#line 1652 "SourceDialog.c"
}


GType maya_view_source_dialog_get_type (void) {
	static volatile gsize maya_view_source_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&maya_view_source_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaViewSourceDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_source_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewSourceDialog), 0, (GInstanceInitFunc) maya_view_source_dialog_instance_init, NULL };
		GType maya_view_source_dialog_type_id;
		maya_view_source_dialog_type_id = g_type_register_static (gtk_grid_get_type (), "MayaViewSourceDialog", &g_define_type_info, 0);
		g_once_init_leave (&maya_view_source_dialog_type_id__volatile, maya_view_source_dialog_type_id);
	}
	return maya_view_source_dialog_type_id__volatile;
}


static void _vala_maya_view_source_dialog_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE:
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		g_value_set_enum (value, maya_view_source_dialog_get_event_type (self));
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		break;
#line 1679 "SourceDialog.c"
		default:
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		break;
#line 1685 "SourceDialog.c"
	}
}


static void _vala_maya_view_source_dialog_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE:
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, g_value_get_enum (value));
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		break;
#line 1701 "SourceDialog.c"
		default:
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceDialog.vala"
		break;
#line 1707 "SourceDialog.c"
	}
}



