/* SourceItem.c generated by valac 0.36.4, the Vala compiler
 * generated from SourceItem.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2015 Maya Developers (http://launchpad.net/maya)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <libedataserver/libedataserver.h>
#include <maya-calendar.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>


#define MAYA_VIEW_TYPE_SOURCE_ITEM (maya_view_source_item_get_type ())
#define MAYA_VIEW_SOURCE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem))
#define MAYA_VIEW_SOURCE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItemClass))
#define MAYA_VIEW_IS_SOURCE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM))
#define MAYA_VIEW_IS_SOURCE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_SOURCE_ITEM))
#define MAYA_VIEW_SOURCE_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItemClass))

typedef struct _MayaViewSourceItem MayaViewSourceItem;
typedef struct _MayaViewSourceItemClass MayaViewSourceItemClass;
typedef struct _MayaViewSourceItemPrivate MayaViewSourceItemPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block25Data Block25Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
enum  {
	MAYA_VIEW_SOURCE_ITEM_REMOVE_REQUEST_SIGNAL,
	MAYA_VIEW_SOURCE_ITEM_EDIT_REQUEST_SIGNAL,
	MAYA_VIEW_SOURCE_ITEM_LAST_SIGNAL
};
static guint maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_LAST_SIGNAL] = {0};

#define MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER (maya_view_source_item_header_get_type ())
#define MAYA_VIEW_SOURCE_ITEM_HEADER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, MayaViewSourceItemHeader))
#define MAYA_VIEW_SOURCE_ITEM_HEADER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, MayaViewSourceItemHeaderClass))
#define MAYA_VIEW_IS_SOURCE_ITEM_HEADER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER))
#define MAYA_VIEW_IS_SOURCE_ITEM_HEADER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER))
#define MAYA_VIEW_SOURCE_ITEM_HEADER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, MayaViewSourceItemHeaderClass))

typedef struct _MayaViewSourceItemHeader MayaViewSourceItemHeader;
typedef struct _MayaViewSourceItemHeaderClass MayaViewSourceItemHeaderClass;
typedef struct _MayaViewSourceItemHeaderPrivate MayaViewSourceItemHeaderPrivate;

struct _MayaViewSourceItem {
	GtkListBoxRow parent_instance;
	MayaViewSourceItemPrivate * priv;
};

struct _MayaViewSourceItemClass {
	GtkListBoxRowClass parent_class;
};

struct _MayaViewSourceItemPrivate {
	gchar* _location;
	gchar* _label;
	ESource* _source;
	GtkStack* stack;
	GtkGrid* info_grid;
	GtkButton* delete_button;
	GtkRevealer* delete_revealer;
	GtkButton* edit_button;
	GtkRevealer* edit_revealer;
	GtkLabel* calendar_name_label;
	GtkLabel* calendar_color_label;
	GtkCheckButton* visible_checkbutton;
};

struct _Block25Data {
	int _ref_count_;
	MayaViewSourceItem* self;
	ESourceCalendar* cal;
	ESource* source;
};

struct _MayaViewSourceItemHeader {
	GtkListBoxRow parent_instance;
	MayaViewSourceItemHeaderPrivate * priv;
	guint children;
};

struct _MayaViewSourceItemHeaderClass {
	GtkListBoxRowClass parent_class;
};

struct _MayaViewSourceItemHeaderPrivate {
	gchar* _label;
};


static gpointer maya_view_source_item_parent_class = NULL;
static gpointer maya_view_source_item_header_parent_class = NULL;

GType maya_view_source_item_get_type (void) G_GNUC_CONST;
#define MAYA_VIEW_SOURCE_ITEM_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItemPrivate))
enum  {
	MAYA_VIEW_SOURCE_ITEM_DUMMY_PROPERTY,
	MAYA_VIEW_SOURCE_ITEM_LOCATION,
	MAYA_VIEW_SOURCE_ITEM_LABEL,
	MAYA_VIEW_SOURCE_ITEM_SOURCE
};
MayaViewSourceItem* maya_view_source_item_new (ESource* source);
MayaViewSourceItem* maya_view_source_item_construct (GType object_type, ESource* source);
static Block25Data* block25_data_ref (Block25Data* _data25_);
static void block25_data_unref (void * _userdata_);
static void maya_view_source_item_set_source (MayaViewSourceItem* self, ESource* value);
static void maya_view_source_item_set_label (MayaViewSourceItem* self, const gchar* value);
static void maya_view_source_item_set_location (MayaViewSourceItem* self, const gchar* value);
static void __lambda22_ (Block25Data* _data25_);
static void ___lambda22__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void __lambda23_ (Block25Data* _data25_);
static void ___lambda23__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda24_ (Block25Data* _data25_);
static void ___lambda24__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda25_ (MayaViewSourceItem* self);
static void ___lambda25__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda26_ (MayaViewSourceItem* self);
static void ___lambda26__gtk_button_clicked (GtkButton* _sender, gpointer self);
static gboolean __lambda27_ (MayaViewSourceItem* self, GdkEventCrossing* event);
static gboolean ___lambda27__gtk_widget_enter_notify_event (GtkWidget* _sender, GdkEventCrossing* event, gpointer self);
static gboolean __lambda28_ (MayaViewSourceItem* self, GdkEventCrossing* event);
static gboolean ___lambda28__gtk_widget_leave_notify_event (GtkWidget* _sender, GdkEventCrossing* event, gpointer self);
void maya_view_source_item_source_has_changed (MayaViewSourceItem* self);
static void _maya_view_source_item_source_has_changed_e_source_changed (ESource* _sender, gpointer self);
ESource* maya_view_source_item_get_source (MayaViewSourceItem* self);
void maya_view_source_item_show_calendar_removed (MayaViewSourceItem* self);
const gchar* maya_view_source_item_get_location (MayaViewSourceItem* self);
const gchar* maya_view_source_item_get_label (MayaViewSourceItem* self);
static void maya_view_source_item_finalize (GObject * obj);
static void _vala_maya_view_source_item_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_maya_view_source_item_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
GType maya_view_source_item_header_get_type (void) G_GNUC_CONST;
#define MAYA_VIEW_SOURCE_ITEM_HEADER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, MayaViewSourceItemHeaderPrivate))
enum  {
	MAYA_VIEW_SOURCE_ITEM_HEADER_DUMMY_PROPERTY,
	MAYA_VIEW_SOURCE_ITEM_HEADER_LABEL
};
MayaViewSourceItemHeader* maya_view_source_item_header_new (const gchar* label);
MayaViewSourceItemHeader* maya_view_source_item_header_construct (GType object_type, const gchar* label);
static void maya_view_source_item_header_set_label (MayaViewSourceItemHeader* self, const gchar* value);
const gchar* maya_view_source_item_header_get_label (MayaViewSourceItemHeader* self);
static void maya_view_source_item_header_finalize (GObject * obj);
static void _vala_maya_view_source_item_header_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_maya_view_source_item_header_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return self ? g_object_ref (self) : NULL;
#line 173 "SourceItem.c"
}


static Block25Data* block25_data_ref (Block25Data* _data25_) {
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_atomic_int_inc (&_data25_->_ref_count_);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return _data25_;
#line 182 "SourceItem.c"
}


static void block25_data_unref (void * _userdata_) {
	Block25Data* _data25_;
	_data25_ = (Block25Data*) _userdata_;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (g_atomic_int_dec_and_test (&_data25_->_ref_count_)) {
#line 191 "SourceItem.c"
		MayaViewSourceItem* self;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		self = _data25_->self;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (_data25_->cal);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (_data25_->source);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (self);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_slice_free (Block25Data, _data25_);
#line 203 "SourceItem.c"
	}
}


static void __lambda22_ (Block25Data* _data25_) {
	MayaViewSourceItem* self;
	MayaModelCalendarModel* calmodel = NULL;
	MayaModelCalendarModel* _tmp0_;
	GtkCheckButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	ESourceCalendar* _tmp8_;
	GtkCheckButton* _tmp9_;
	gboolean _tmp10_;
	gboolean _tmp11_;
	GError * _inner_error_ = NULL;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self = _data25_->self;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = maya_model_calendar_model_get_default ();
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	calmodel = _tmp0_;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->visible_checkbutton;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp3_ = _tmp2_;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (_tmp3_ == TRUE) {
#line 234 "SourceItem.c"
		MayaModelCalendarModel* _tmp4_;
		ESource* _tmp5_;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp4_ = calmodel;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp5_ = _data25_->source;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		maya_model_calendar_model_add_source (_tmp4_, _tmp5_);
#line 243 "SourceItem.c"
	} else {
		MayaModelCalendarModel* _tmp6_;
		ESource* _tmp7_;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp6_ = calmodel;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp7_ = _data25_->source;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		maya_model_calendar_model_remove_source (_tmp6_, _tmp7_);
#line 253 "SourceItem.c"
	}
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp8_ = _data25_->cal;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp9_ = self->priv->visible_checkbutton;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp10_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp9_);
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp11_ = _tmp10_;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	e_source_selectable_set_selected ((ESourceSelectable*) _tmp8_, _tmp11_);
#line 265 "SourceItem.c"
	{
		ESource* _tmp12_;
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp12_ = _data25_->source;
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		e_source_write_sync (_tmp12_, NULL, &_inner_error_);
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 274 "SourceItem.c"
			goto __catch15_g_error;
		}
	}
	goto __finally15;
	__catch15_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp13_;
		const gchar* _tmp14_;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_error_ = _inner_error_;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_inner_error_ = NULL;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp13_ = _error_;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp14_ = _tmp13_->message;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_critical ("SourceItem.vala:77: %s", _tmp14_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_error_free0 (_error_);
#line 296 "SourceItem.c"
	}
	__finally15:
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (calmodel);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_clear_error (&_inner_error_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		return;
#line 309 "SourceItem.c"
	}
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (calmodel);
#line 313 "SourceItem.c"
}


static void ___lambda22__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	__lambda22_ (self);
#line 320 "SourceItem.c"
}


static void __lambda23_ (Block25Data* _data25_) {
	MayaViewSourceItem* self;
	ESource* _tmp0_;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self = _data25_->self;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = _data25_->source;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_emit (self, maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_REMOVE_REQUEST_SIGNAL], 0, _tmp0_);
#line 333 "SourceItem.c"
}


static void ___lambda23__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	__lambda23_ (self);
#line 340 "SourceItem.c"
}


static void __lambda24_ (Block25Data* _data25_) {
	MayaViewSourceItem* self;
	ESource* _tmp0_;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self = _data25_->self;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = _data25_->source;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_emit (self, maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_EDIT_REQUEST_SIGNAL], 0, _tmp0_);
#line 353 "SourceItem.c"
}


static void ___lambda24__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	__lambda24_ (self);
#line 360 "SourceItem.c"
}


static void __lambda25_ (MayaViewSourceItem* self) {
	MayaModelCalendarModel* _tmp0_;
	MayaModelCalendarModel* _tmp1_;
	GtkStack* _tmp2_;
	GtkGrid* _tmp3_;
	GtkGrid* _tmp4_;
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = maya_model_calendar_model_get_default ();
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = _tmp0_;
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_model_calendar_model_restore_calendar (_tmp1_);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (_tmp1_);
#line 130 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp2_ = self->priv->stack;
#line 130 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_stack_set_visible_child_name (_tmp2_, "calendar");
#line 131 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp3_ = self->priv->info_grid;
#line 131 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp3_, TRUE);
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp4_ = self->priv->info_grid;
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_hide ((GtkWidget*) _tmp4_);
#line 390 "SourceItem.c"
}


static void ___lambda25__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	__lambda25_ ((MayaViewSourceItem*) self);
#line 397 "SourceItem.c"
}


static void __lambda26_ (MayaViewSourceItem* self) {
#line 138 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_hide ((GtkWidget*) self);
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 406 "SourceItem.c"
}


static void ___lambda26__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	__lambda26_ ((MayaViewSourceItem*) self);
#line 413 "SourceItem.c"
}


static gboolean __lambda27_ (MayaViewSourceItem* self, GdkEventCrossing* event) {
	gboolean result = FALSE;
	GtkRevealer* _tmp0_;
	GtkRevealer* _tmp1_;
#line 154 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->delete_revealer;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp0_, TRUE);
#line 156 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->edit_revealer;
#line 156 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp1_, TRUE);
#line 157 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	result = FALSE;
#line 157 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 435 "SourceItem.c"
}


static gboolean ___lambda27__gtk_widget_enter_notify_event (GtkWidget* _sender, GdkEventCrossing* event, gpointer self) {
	gboolean result;
	result = __lambda27_ ((MayaViewSourceItem*) self, event);
#line 154 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 444 "SourceItem.c"
}


static gboolean __lambda28_ (MayaViewSourceItem* self, GdkEventCrossing* event) {
	gboolean result = FALSE;
	GdkEventCrossing* _tmp0_;
	GdkNotifyType _tmp1_;
	GtkRevealer* _tmp2_;
	GtkRevealer* _tmp3_;
#line 160 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 161 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = event;
#line 161 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = _tmp0_->detail;
#line 161 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (_tmp1_ == GDK_NOTIFY_INFERIOR) {
#line 162 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		result = FALSE;
#line 162 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		return result;
#line 466 "SourceItem.c"
	}
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp2_ = self->priv->delete_revealer;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp2_, FALSE);
#line 165 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp3_ = self->priv->edit_revealer;
#line 165 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp3_, FALSE);
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	result = FALSE;
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 480 "SourceItem.c"
}


static gboolean ___lambda28__gtk_widget_leave_notify_event (GtkWidget* _sender, GdkEventCrossing* event, gpointer self) {
	gboolean result;
	result = __lambda28_ ((MayaViewSourceItem*) self, event);
#line 160 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 489 "SourceItem.c"
}


static void _maya_view_source_item_source_has_changed_e_source_changed (ESource* _sender, gpointer self) {
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_source_has_changed ((MayaViewSourceItem*) self);
#line 496 "SourceItem.c"
}


MayaViewSourceItem* maya_view_source_item_construct (GType object_type, ESource* source) {
	MayaViewSourceItem * self = NULL;
	Block25Data* _data25_;
	ESource* _tmp0_;
	ESource* _tmp1_;
	ESource* _tmp2_;
	GtkStack* _tmp3_;
	GtkStack* _tmp4_;
	ESource* _tmp5_;
	ESourceExtension* _tmp6_;
	ESourceCalendar* _tmp7_;
	ESource* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	GtkLabel* _tmp11_;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	ESource* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	ESource* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	GtkLabel* _tmp20_;
	GdkRGBA color = {0};
	ESourceCalendar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	GtkLabel* _tmp24_;
	GdkRGBA _tmp25_;
	GtkCheckButton* _tmp26_;
	GtkCheckButton* _tmp27_;
	ESourceCalendar* _tmp28_;
	gboolean _tmp29_;
	gboolean _tmp30_;
	GtkCheckButton* _tmp31_;
	GtkButton* _tmp32_;
	GtkButton* _tmp33_;
	GtkButton* _tmp34_;
	GtkButton* _tmp35_;
	GtkRevealer* _tmp36_;
	GtkRevealer* _tmp37_;
	GtkRevealer* _tmp38_;
	GtkButton* _tmp39_;
	GtkRevealer* _tmp40_;
	GtkRevealer* _tmp41_;
	ESource* _tmp42_;
	gboolean _tmp43_;
	gboolean _tmp44_;
	GtkButton* _tmp47_;
	GtkButton* _tmp48_;
	GtkButton* _tmp49_;
	GtkButton* _tmp50_;
	GtkRevealer* _tmp51_;
	GtkRevealer* _tmp52_;
	GtkRevealer* _tmp53_;
	GtkButton* _tmp54_;
	GtkRevealer* _tmp55_;
	GtkRevealer* _tmp56_;
	ESource* _tmp57_;
	gboolean _tmp58_;
	gboolean _tmp59_;
	GtkGrid* calendar_grid = NULL;
	GtkGrid* _tmp62_;
	GtkCheckButton* _tmp63_;
	GtkLabel* _tmp64_;
	GtkLabel* _tmp65_;
	GtkRevealer* _tmp66_;
	GtkRevealer* _tmp67_;
	GtkEventBox* calendar_event_box = NULL;
	GtkEventBox* _tmp68_;
	GtkStack* _tmp69_;
	GtkGrid* _tmp70_;
	GtkGrid* _tmp71_;
	GtkGrid* _tmp72_;
	GtkGrid* _tmp73_;
	GtkButton* undo_button = NULL;
	GtkButton* _tmp74_;
	GtkButton* close_button = NULL;
	GtkButton* _tmp75_;
	GtkLabel* message_label = NULL;
	ESource* _tmp76_;
	const gchar* _tmp77_;
	const gchar* _tmp78_;
	gchar* _tmp79_;
	gchar* _tmp80_;
	GtkLabel* _tmp81_;
	GtkLabel* _tmp82_;
	GtkGrid* _tmp83_;
	GtkGrid* _tmp84_;
	GtkGrid* _tmp85_;
	GtkStack* _tmp86_;
	GtkGrid* _tmp87_;
	GtkStack* _tmp88_;
	GtkStack* _tmp89_;
	ESource* _tmp90_;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (source != NULL, NULL);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_data25_ = g_slice_new0 (Block25Data);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_data25_->_ref_count_ = 1;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = source;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (_data25_->source);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_data25_->source = _tmp1_;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self = (MayaViewSourceItem*) g_object_new (object_type, NULL);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_data25_->self = g_object_ref (self);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp2_ = _data25_->source;
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_set_source (self, _tmp2_);
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) self, 6);
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp3_ = (GtkStack*) gtk_stack_new ();
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp3_);
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->stack);
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->stack = _tmp3_;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp4_ = self->priv->stack;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_stack_set_transition_type (_tmp4_, GTK_STACK_TRANSITION_TYPE_CROSSFADE);
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp5_ = _data25_->source;
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp6_ = e_source_get_extension (_tmp5_, E_SOURCE_EXTENSION_CALENDAR);
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp7_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, e_source_calendar_get_type (), ESourceCalendar));
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_data25_->cal = _tmp7_;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp8_ = _data25_->source;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp9_ = e_source_dup_display_name (_tmp8_);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp10_ = _tmp9_;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp11_ = (GtkLabel*) gtk_label_new (_tmp10_);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp11_);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->calendar_name_label);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->calendar_name_label = _tmp11_;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp10_);
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp12_ = self->priv->calendar_name_label;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp12_, gtk_misc_get_type (), GtkMisc), "xalign", 0.0f, NULL);
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp13_ = self->priv->calendar_name_label;
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp13_, TRUE);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp14_ = _data25_->source;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp15_ = e_source_dup_display_name (_tmp14_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp16_ = _tmp15_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_set_label (self, _tmp16_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp16_);
#line 56 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp17_ = _data25_->source;
#line 56 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp18_ = maya_util_get_source_location (_tmp17_);
#line 56 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp19_ = _tmp18_;
#line 56 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_set_location (self, _tmp19_);
#line 56 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp19_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp20_ = (GtkLabel*) gtk_label_new ("  ");
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp20_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->calendar_color_label);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->calendar_color_label = _tmp20_;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	memset (&color, 0, sizeof (GdkRGBA));
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp21_ = _data25_->cal;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp22_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp21_);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp23_ = _tmp22_;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gdk_rgba_parse (&color, _tmp23_);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp23_);
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp24_ = self->priv->calendar_color_label;
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp25_ = color;
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_override_background_color ((GtkWidget*) _tmp24_, GTK_STATE_FLAG_NORMAL, &_tmp25_);
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp26_ = (GtkCheckButton*) gtk_check_button_new ();
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp26_);
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->visible_checkbutton);
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->visible_checkbutton = _tmp26_;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp27_ = self->priv->visible_checkbutton;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp28_ = _data25_->cal;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp29_ = e_source_selectable_get_selected ((ESourceSelectable*) _tmp28_);
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp30_ = _tmp29_;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp27_, _tmp30_);
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp31_ = self->priv->visible_checkbutton;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp31_, "toggled", (GCallback) ___lambda22__gtk_toggle_button_toggled, block25_data_ref (_data25_), (GClosureNotify) block25_data_unref, 0);
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp32_ = (GtkButton*) gtk_button_new_from_icon_name ("edit-delete-symbolic", GTK_ICON_SIZE_MENU);
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp32_);
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_button);
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->delete_button = _tmp32_;
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp33_ = self->priv->delete_button;
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp33_, _ ("Remove"));
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp34_ = self->priv->delete_button;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_data (_tmp34_, "clicked", (GCallback) ___lambda23__gtk_button_clicked, block25_data_ref (_data25_), (GClosureNotify) block25_data_unref, 0);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp35_ = self->priv->delete_button;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_button_set_relief (_tmp35_, GTK_RELIEF_NONE);
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp36_ = (GtkRevealer*) gtk_revealer_new ();
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp36_);
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_revealer);
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->delete_revealer = _tmp36_;
#line 86 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp37_ = self->priv->delete_revealer;
#line 86 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_transition_type (_tmp37_, GTK_REVEALER_TRANSITION_TYPE_CROSSFADE);
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp38_ = self->priv->delete_revealer;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp39_ = self->priv->delete_button;
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) _tmp38_, (GtkWidget*) _tmp39_);
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp40_ = self->priv->delete_revealer;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp40_);
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp41_ = self->priv->delete_revealer;
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp41_, FALSE);
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp42_ = _data25_->source;
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp43_ = e_source_get_removable (_tmp42_);
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp44_ = _tmp43_;
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (_tmp44_ == FALSE) {
#line 786 "SourceItem.c"
		GtkRevealer* _tmp45_;
		GtkRevealer* _tmp46_;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp45_ = self->priv->delete_revealer;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		gtk_widget_hide ((GtkWidget*) _tmp45_);
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp46_ = self->priv->delete_revealer;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp46_, TRUE);
#line 797 "SourceItem.c"
	}
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp47_ = (GtkButton*) gtk_button_new_from_icon_name ("edit-symbolic", GTK_ICON_SIZE_MENU);
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp47_);
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_button);
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->edit_button = _tmp47_;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp48_ = self->priv->edit_button;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp48_, _ ("Edit…"));
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp49_ = self->priv->edit_button;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_data (_tmp49_, "clicked", (GCallback) ___lambda24__gtk_button_clicked, block25_data_ref (_data25_), (GClosureNotify) block25_data_unref, 0);
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp50_ = self->priv->edit_button;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_button_set_relief (_tmp50_, GTK_RELIEF_NONE);
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp51_ = (GtkRevealer*) gtk_revealer_new ();
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp51_);
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_revealer);
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->edit_revealer = _tmp51_;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp52_ = self->priv->edit_revealer;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_transition_type (_tmp52_, GTK_REVEALER_TRANSITION_TYPE_CROSSFADE);
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp53_ = self->priv->edit_revealer;
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp54_ = self->priv->edit_button;
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) _tmp53_, (GtkWidget*) _tmp54_);
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp55_ = self->priv->edit_revealer;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp55_);
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp56_ = self->priv->edit_revealer;
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp56_, FALSE);
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp57_ = _data25_->source;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp58_ = e_source_get_writable (_tmp57_);
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp59_ = _tmp58_;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (_tmp59_ == FALSE) {
#line 853 "SourceItem.c"
		GtkRevealer* _tmp60_;
		GtkRevealer* _tmp61_;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp60_ = self->priv->edit_revealer;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		gtk_widget_hide ((GtkWidget*) _tmp60_);
#line 106 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp61_ = self->priv->edit_revealer;
#line 106 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp61_, TRUE);
#line 864 "SourceItem.c"
	}
#line 109 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp62_ = (GtkGrid*) gtk_grid_new ();
#line 109 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp62_);
#line 109 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	calendar_grid = _tmp62_;
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_set_column_spacing (calendar_grid, 6);
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp63_ = self->priv->visible_checkbutton;
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp63_, 0, 0, 1, 1);
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp64_ = self->priv->calendar_color_label;
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp64_, 1, 0, 1, 1);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp65_ = self->priv->calendar_name_label;
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp65_, 2, 0, 1, 1);
#line 114 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp66_ = self->priv->delete_revealer;
#line 114 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp66_, 3, 0, 1, 1);
#line 115 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp67_ = self->priv->edit_revealer;
#line 115 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp67_, 4, 0, 1, 1);
#line 117 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp68_ = (GtkEventBox*) gtk_event_box_new ();
#line 117 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp68_);
#line 117 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	calendar_event_box = _tmp68_;
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) calendar_event_box, (GtkWidget*) calendar_grid);
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp69_ = self->priv->stack;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_stack_add_named (_tmp69_, (GtkWidget*) calendar_event_box, "calendar");
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp70_ = (GtkGrid*) gtk_grid_new ();
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp70_);
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->info_grid);
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv->info_grid = _tmp70_;
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp71_ = self->priv->info_grid;
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_set_column_spacing (_tmp71_, 12);
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp72_ = self->priv->info_grid;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_set_row_spacing (_tmp72_, 6);
#line 126 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp73_ = self->priv->info_grid;
#line 126 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp73_, TRUE);
#line 127 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp74_ = (GtkButton*) gtk_button_new_with_label (_ ("Undo"));
#line 127 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp74_);
#line 127 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	undo_button = _tmp74_;
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_object (undo_button, "clicked", (GCallback) ___lambda25__gtk_button_clicked, self, 0);
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp75_ = (GtkButton*) gtk_button_new_from_icon_name ("window-close-symbolic", GTK_ICON_SIZE_SMALL_TOOLBAR);
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp75_);
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	close_button = _tmp75_;
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_button_set_relief (close_button, GTK_RELIEF_NONE);
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_object (close_button, "clicked", (GCallback) ___lambda26__gtk_button_clicked, self, 0);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp76_ = _data25_->source;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp77_ = e_source_get_display_name (_tmp76_);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp78_ = _tmp77_;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp79_ = g_strdup_printf (_ ("Calendar \"%s\" removed."), _tmp78_);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp80_ = _tmp79_;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp81_ = (GtkLabel*) gtk_label_new (_tmp80_);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp81_);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp82_ = _tmp81_;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp80_);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	message_label = _tmp82_;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_hexpand ((GtkWidget*) message_label, TRUE);
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (message_label, gtk_misc_get_type (), GtkMisc), "xalign", 0.0f, NULL);
#line 145 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp83_ = self->priv->info_grid;
#line 145 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (_tmp83_, (GtkWidget*) message_label, 0, 0, 1, 1);
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp84_ = self->priv->info_grid;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (_tmp84_, (GtkWidget*) undo_button, 1, 0, 1, 1);
#line 147 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp85_ = self->priv->info_grid;
#line 147 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (_tmp85_, (GtkWidget*) close_button, 2, 0, 1, 1);
#line 148 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp86_ = self->priv->stack;
#line 148 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp87_ = self->priv->info_grid;
#line 148 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_stack_add_named (_tmp86_, (GtkWidget*) _tmp87_, "info");
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp88_ = self->priv->stack;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_stack_set_visible_child_name (_tmp88_, "calendar");
#line 151 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp89_ = self->priv->stack;
#line 151 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp89_);
#line 153 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_add_events ((GtkWidget*) calendar_event_box, (gint) (GDK_ENTER_NOTIFY_MASK | GDK_LEAVE_NOTIFY_MASK));
#line 154 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_object ((GtkWidget*) calendar_event_box, "enter-notify-event", (GCallback) ___lambda27__gtk_widget_enter_notify_event, self, 0);
#line 160 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_object ((GtkWidget*) calendar_event_box, "leave-notify-event", (GCallback) ___lambda28__gtk_widget_leave_notify_event, self, 0);
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp90_ = _data25_->source;
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_signal_connect_object (_tmp90_, "changed", (GCallback) _maya_view_source_item_source_has_changed_e_source_changed, self, 0);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (message_label);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (close_button);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (undo_button);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (calendar_event_box);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (calendar_grid);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	block25_data_unref (_data25_);
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_data25_ = NULL;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return self;
#line 1020 "SourceItem.c"
}


MayaViewSourceItem* maya_view_source_item_new (ESource* source) {
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return maya_view_source_item_construct (MAYA_VIEW_TYPE_SOURCE_ITEM, source);
#line 1027 "SourceItem.c"
}


void maya_view_source_item_source_has_changed (MayaViewSourceItem* self) {
	GtkLabel* _tmp0_;
	ESource* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	ESourceCalendar* cal = NULL;
	ESource* _tmp4_;
	ESourceExtension* _tmp5_;
	ESourceCalendar* _tmp6_;
	GdkRGBA color = {0};
	gchar* _tmp7_;
	gchar* _tmp8_;
	GtkLabel* _tmp9_;
	GdkRGBA _tmp10_;
	GtkCheckButton* _tmp11_;
	gboolean _tmp12_;
	gboolean _tmp13_;
#line 172 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 173 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->calendar_name_label;
#line 173 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->_source;
#line 173 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp2_ = e_source_dup_display_name (_tmp1_);
#line 173 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp3_ = _tmp2_;
#line 173 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_label_set_label (_tmp0_, _tmp3_);
#line 173 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp3_);
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp4_ = self->priv->_source;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp5_ = e_source_get_extension (_tmp4_, E_SOURCE_EXTENSION_CALENDAR);
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp6_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, e_source_calendar_get_type (), ESourceCalendar));
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	cal = _tmp6_;
#line 176 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	memset (&color, 0, sizeof (GdkRGBA));
#line 177 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp7_ = e_source_selectable_dup_color ((ESourceSelectable*) cal);
#line 177 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp8_ = _tmp7_;
#line 177 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gdk_rgba_parse (&color, _tmp8_);
#line 177 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp8_);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp9_ = self->priv->calendar_color_label;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp10_ = color;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_override_background_color ((GtkWidget*) _tmp9_, GTK_STATE_FLAG_NORMAL, &_tmp10_);
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp11_ = self->priv->visible_checkbutton;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp12_ = e_source_selectable_get_selected ((ESourceSelectable*) cal);
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp13_ = _tmp12_;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp11_, _tmp13_);
#line 172 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (cal);
#line 1096 "SourceItem.c"
}


void maya_view_source_item_show_calendar_removed (MayaViewSourceItem* self) {
	GtkGrid* _tmp0_;
	GtkGrid* _tmp1_;
	GtkStack* _tmp2_;
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->info_grid;
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp0_, FALSE);
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->info_grid;
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp1_);
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp2_ = self->priv->stack;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_stack_set_visible_child_name (_tmp2_, "info");
#line 1118 "SourceItem.c"
}


const gchar* maya_view_source_item_get_location (MayaViewSourceItem* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->_location;
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	result = _tmp0_;
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 1133 "SourceItem.c"
}


static void maya_view_source_item_set_location (MayaViewSourceItem* self, const gchar* value) {
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (g_strcmp0 (value, maya_view_source_item_get_location (self)) != 0) {
#line 1142 "SourceItem.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp0_ = value;
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_free0 (self->priv->_location);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		self->priv->_location = _tmp1_;
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_object_notify ((GObject *) self, "location");
#line 1155 "SourceItem.c"
	}
}


const gchar* maya_view_source_item_get_label (MayaViewSourceItem* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->_label;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	result = _tmp0_;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 1171 "SourceItem.c"
}


static void maya_view_source_item_set_label (MayaViewSourceItem* self, const gchar* value) {
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (g_strcmp0 (value, maya_view_source_item_get_label (self)) != 0) {
#line 1180 "SourceItem.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp0_ = value;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_free0 (self->priv->_label);
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		self->priv->_label = _tmp1_;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_object_notify ((GObject *) self, "label");
#line 1193 "SourceItem.c"
	}
}


ESource* maya_view_source_item_get_source (MayaViewSourceItem* self) {
	ESource* result;
	ESource* _tmp0_;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->_source;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	result = _tmp0_;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 1209 "SourceItem.c"
}


static void maya_view_source_item_set_source (MayaViewSourceItem* self, ESource* value) {
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (maya_view_source_item_get_source (self) != value) {
#line 1218 "SourceItem.c"
		ESource* _tmp0_;
		ESource* _tmp1_;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp0_ = value;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (self->priv->_source);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		self->priv->_source = _tmp1_;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_object_notify ((GObject *) self, "source");
#line 1231 "SourceItem.c"
	}
}


static void maya_view_source_item_class_init (MayaViewSourceItemClass * klass) {
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_type_class_add_private (klass, sizeof (MayaViewSourceItemPrivate));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_source_item_get_property;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_source_item_set_property;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_source_item_finalize;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_ITEM_LOCATION, g_param_spec_string ("location", "location", "location", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_ITEM_LABEL, g_param_spec_string ("label", "label", "label", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_ITEM_SOURCE, g_param_spec_object ("source", "source", "source", e_source_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_REMOVE_REQUEST_SIGNAL] = g_signal_new ("remove_request", MAYA_VIEW_TYPE_SOURCE_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, e_source_get_type ());
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_EDIT_REQUEST_SIGNAL] = g_signal_new ("edit_request", MAYA_VIEW_TYPE_SOURCE_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, e_source_get_type ());
#line 1257 "SourceItem.c"
}


static void maya_view_source_item_instance_init (MayaViewSourceItem * self) {
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv = MAYA_VIEW_SOURCE_ITEM_GET_PRIVATE (self);
#line 1264 "SourceItem.c"
}


static void maya_view_source_item_finalize (GObject * obj) {
	MayaViewSourceItem * self;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (self->priv->_location);
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (self->priv->_label);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->_source);
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->stack);
#line 30 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->info_grid);
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_button);
#line 33 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_revealer);
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_button);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_revealer);
#line 37 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->calendar_name_label);
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->calendar_color_label);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->visible_checkbutton);
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (maya_view_source_item_parent_class)->finalize (obj);
#line 1298 "SourceItem.c"
}


GType maya_view_source_item_get_type (void) {
	static volatile gsize maya_view_source_item_type_id__volatile = 0;
	if (g_once_init_enter (&maya_view_source_item_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaViewSourceItemClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_source_item_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewSourceItem), 0, (GInstanceInitFunc) maya_view_source_item_instance_init, NULL };
		GType maya_view_source_item_type_id;
		maya_view_source_item_type_id = g_type_register_static (gtk_list_box_row_get_type (), "MayaViewSourceItem", &g_define_type_info, 0);
		g_once_init_leave (&maya_view_source_item_type_id__volatile, maya_view_source_item_type_id);
	}
	return maya_view_source_item_type_id__volatile;
}


static void _vala_maya_view_source_item_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MayaViewSourceItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem);
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LOCATION:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_value_set_string (value, maya_view_source_item_get_location (self));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LABEL:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_value_set_string (value, maya_view_source_item_get_label (self));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_SOURCE:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_value_set_object (value, maya_view_source_item_get_source (self));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1337 "SourceItem.c"
		default:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1343 "SourceItem.c"
	}
}


static void _vala_maya_view_source_item_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MayaViewSourceItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem);
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LOCATION:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		maya_view_source_item_set_location (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LABEL:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		maya_view_source_item_set_label (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_SOURCE:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		maya_view_source_item_set_source (self, g_value_get_object (value));
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1371 "SourceItem.c"
		default:
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1377 "SourceItem.c"
	}
}


MayaViewSourceItemHeader* maya_view_source_item_header_construct (GType object_type, const gchar* label) {
	MayaViewSourceItemHeader * self = NULL;
	const gchar* _tmp0_;
	GtkLabel* header_label = NULL;
	const gchar* _tmp1_;
	GtkLabel* _tmp2_;
	GtkStyleContext* _tmp3_;
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (label != NULL, NULL);
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self = (MayaViewSourceItemHeader*) g_object_new (object_type, NULL);
#line 194 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = label;
#line 194 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_header_set_label (self, _tmp0_);
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp1_ = label;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new (_tmp1_);
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp2_);
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	header_label = _tmp2_;
#line 196 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp3_ = gtk_widget_get_style_context ((GtkWidget*) header_label);
#line 196 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_style_context_add_class (_tmp3_, "h4");
#line 197 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (header_label, gtk_misc_get_type (), GtkMisc), "xalign", 0.0f, NULL);
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_widget_set_hexpand ((GtkWidget*) header_label, TRUE);
#line 199 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) header_label);
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (header_label);
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return self;
#line 1419 "SourceItem.c"
}


MayaViewSourceItemHeader* maya_view_source_item_header_new (const gchar* label) {
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return maya_view_source_item_header_construct (MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, label);
#line 1426 "SourceItem.c"
}


const gchar* maya_view_source_item_header_get_label (MayaViewSourceItemHeader* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->_label;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	result = _tmp0_;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	return result;
#line 1441 "SourceItem.c"
}


static void maya_view_source_item_header_set_label (MayaViewSourceItemHeader* self, const gchar* value) {
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	if (g_strcmp0 (value, maya_view_source_item_header_get_label (self)) != 0) {
#line 1450 "SourceItem.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp0_ = value;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		_g_free0 (self->priv->_label);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		self->priv->_label = _tmp1_;
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_object_notify ((GObject *) self, "label");
#line 1463 "SourceItem.c"
	}
}


static void maya_view_source_item_header_class_init (MayaViewSourceItemHeaderClass * klass) {
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	maya_view_source_item_header_parent_class = g_type_class_peek_parent (klass);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_type_class_add_private (klass, sizeof (MayaViewSourceItemHeaderPrivate));
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_source_item_header_get_property;
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_source_item_header_set_property;
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_source_item_header_finalize;
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_ITEM_HEADER_LABEL, g_param_spec_string ("label", "label", "label", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 1481 "SourceItem.c"
}


static void maya_view_source_item_header_instance_init (MayaViewSourceItemHeader * self) {
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->priv = MAYA_VIEW_SOURCE_ITEM_HEADER_GET_PRIVATE (self);
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self->children = (guint) 1;
#line 1490 "SourceItem.c"
}


static void maya_view_source_item_header_finalize (GObject * obj) {
	MayaViewSourceItemHeader * self;
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, MayaViewSourceItemHeader);
#line 191 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	_g_free0 (self->priv->_label);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (maya_view_source_item_header_parent_class)->finalize (obj);
#line 1502 "SourceItem.c"
}


GType maya_view_source_item_header_get_type (void) {
	static volatile gsize maya_view_source_item_header_type_id__volatile = 0;
	if (g_once_init_enter (&maya_view_source_item_header_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaViewSourceItemHeaderClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_source_item_header_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewSourceItemHeader), 0, (GInstanceInitFunc) maya_view_source_item_header_instance_init, NULL };
		GType maya_view_source_item_header_type_id;
		maya_view_source_item_header_type_id = g_type_register_static (gtk_list_box_row_get_type (), "MayaViewSourceItemHeader", &g_define_type_info, 0);
		g_once_init_leave (&maya_view_source_item_header_type_id__volatile, maya_view_source_item_header_type_id);
	}
	return maya_view_source_item_header_type_id__volatile;
}


static void _vala_maya_view_source_item_header_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MayaViewSourceItemHeader * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, MayaViewSourceItemHeader);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	switch (property_id) {
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_HEADER_LABEL:
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		g_value_set_string (value, maya_view_source_item_header_get_label (self));
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1529 "SourceItem.c"
		default:
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1535 "SourceItem.c"
	}
}


static void _vala_maya_view_source_item_header_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MayaViewSourceItemHeader * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_ITEM_HEADER, MayaViewSourceItemHeader);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
	switch (property_id) {
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_HEADER_LABEL:
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		maya_view_source_item_header_set_label (self, g_value_get_string (value));
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1551 "SourceItem.c"
		default:
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/SourceDialog/SourceItem.vala"
		break;
#line 1557 "SourceItem.c"
	}
}



